GNU bug report logs - #39489
28.0.50; On Emacs 27, 28, tramp hangs indefinitely

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Benjamin Slade <slade@HIDDEN>; Keywords: patch; dated Fri, 7 Feb 2020 18:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) patch. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39489 <at> debbugs.gnu.org:


Received: (at 39489) by debbugs.gnu.org; 10 Feb 2020 09:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 04:11:35 2020
Received: from localhost ([127.0.0.1]:53663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j156N-0001jJ-6K
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2020 04:11:35 -0500
Received: from mout.gmx.net ([212.227.17.21]:47645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1j156K-0001j2-Hg
 for 39489 <at> debbugs.gnu.org; Mon, 10 Feb 2020 04:11:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1581325886;
 bh=SYNRmqYMB93GSSjBZrYRKNAAOPdLpNHNUtGvdNy5lCw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=VyLjn9nmYsM8wQCRH+jGag459bRN83/BTym3bBON+DXW4QfFqXQkC3Mr7a3cw6N78
 ZjvY+zykM4/xLfLhGkrTtsP0/pNH4IV/r5hBcbFJaiquQun7o4D8zxgm209iGOgSdW
 HCh2Ypgcf6FCH8cn/0yw26+Xg+6We7eCm6JwFHug=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.51.13]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MpDJX-1jrC5J1AJ5-00qigr; Mon, 10
 Feb 2020 10:11:26 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Benjamin Slade <slade@HIDDEN>
Subject: Re: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely
References: <87v9oitf5i.fsf@HIDDEN> <87sgjm5bfu.fsf@HIDDEN>
 <87h8025as5.fsf@HIDDEN> <87imkh5ssj.fsf@HIDDEN>
 <87zhds4wpv.fsf@HIDDEN> <87a75r6gxx.fsf@HIDDEN>
 <87r1z3fac8.fsf@HIDDEN>
Date: Mon, 10 Feb 2020 10:11:24 +0100
In-Reply-To: <87r1z3fac8.fsf@HIDDEN> (Benjamin Slade's message of "Sun, 
 09 Feb 2020 19:24:39 -0700")
Message-ID: <87zhdq4xj7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:LS6xUJf/8ncn1cN8VWcH6xyS8fzGa0FmK1Soh/wRWZ296KcghmN
 sL7JG74y6QZq2Ivo3Kh+QwzL7mk0Fvn5HohBLt/In5o0YXZPKDXlvEatyxL27iTMU6JrkSm
 G8rW4+sZMUWZV/d+z8RtN+/sxheFVIaMDcO9q+1GppXDu76BvukeUI7Fm50VujRJNhY2GBY
 2fKWy2QMbWw8xN0cgF2lg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:7uHzYiMlzws=:2BNvUu3GS5yKKCseGwT8cX
 3v0Eds/Poe9G1QKP8/qx+9aQqVBeyiylwq/n7BMVjA1pO6BLo/X8+YPQPXaAQp+VVNssaZnwe
 6Rn7KGtJS71eWeaJh4bs8dAaznJHzKv8Yc3LIelv8duwl/RYlM4bBbvUMj+2jvT59+Ngi3tz3
 V1re/ts+WQt8LbioXnFxbUFQgd3X5SXMr0yS++1yDETZ7ShM7S8m4GM37maKVjjvcb+hIylXt
 h7mF7KlBtNOY4b6slWbrx7xn46atqzJKF0xGjqsfB66TdAmknxNQEWFCqyIlPh57Z7mS4gTu4
 a+rcY0v2h9dmpGUkMi+gkvnueh1kF9OQympa5ywZmxr3b8/dWOyo2ep1Sa9EQL6NH6ZYcxOfx
 jXvlJa11mYR/SdSx0oTwqw4l5nCBtRWAeWyh/+rm6O3qMGYonngfJ5QWE9JMNjI94+ogcjszP
 Umy7n2h+mQ6lqnElkjgUZO8aY1YwnNLeMIc0EtGwR/eqVYiXCBKrRJsWbe9aiLEBGB6fybbjO
 MfVFiT7kWzJMwkW1eIuI73JNh2lsYUUxY+WUeDGrUn77CwOscuLYE4Uooz2Zt5yDzDSUu1nia
 +53mRiDn/eGyVAcP/ATNZLeCITQyL3WHk9WhzQDXDzahr517uHAiBYZY2MWm2CnCsdb4Lvh4G
 3ePqb2wG/ZT+xVVyeLX9bE1GYtJnpM/owh/90zsKZhJStnib2yZ3OM+EbY7lIQHBTNTNpmP9d
 O9/b6dVS3ishRDzR2zf7Ka37IrAVwpDdAdzBrxhttG+2NBTlGDUXTNWyU0CCZvOn1/qOBvzHU
 x0meAImUyv7zlqQzkJlTwwaDkXv+Q47CoIs4xQrPPL9Jy96Pva9tgAZwQLeVsHIp6AWOFMEhj
 Eh8++e/dqPueRDpmV55S3Bt0Qf6xf0TIa/IkxsCxhchZQVLGxKxKSeUDV43JZWRdZMuqNfRMY
 hDJTn0ckCpsV+w2KzjD4JbMpGwTx15mCh225btU0gXOpb07COv2joXuFIUO6czuW01L8LJ17C
 wQXDjirf2kKn8yoENpHLyjJV2uKSy8KYlEITRbVSPe4p+OvYpKUpdWEMss+P9MXPYN6N7BUEJ
 CaWxCmoR/sZkhfYfKBK5aUG+hSmjIVrPUPsfeKBPz9XgtDsX19oKh55CJ0lPa0VDFhvnfEFtE
 XaMTUnOCYK7ywv6c6apLvCRuOGWMpbqfkxVbPcjuBXaOO0W6WfSaldthGPI/M1nrfLG99B/Tu
 2VPGIxTjjSkITa0x9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39489
Cc: 39489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Benjamin Slade <slade@HIDDEN> writes:

> Hi Michael,

Hi Benjamin,

>> I don't know why `auth-source-search' needs to expand ".". Could it
>> be, that it is part of your `exec-path'?
>
> It turns out my $PATH variable had an 'empty' field
> (e.g. =3D/usr/local/bin::/home/slade/.guix-profile/bin=3D),
> eliminating that fixed the tramp issue I described in the bug
> report. (it's interesting that this only manifested was 27+)

An empty entry in $PATH is taken as `default-directory', implemented as
"." in `exec-path'. And this is a problem, if `call-process' searches
for the gpg command, and `default-directory' is remote. I have no idea
why this problem has uncovered in Emacs 27 only, though.

You have fixed it yourself I guess. But since it happens also for other
people, could you pls check whether the appended patch would have
solved it for you, keeping the empty field in your $PATH?

> [There is still an issue with the =3Dem-tramp=3D package on Emacs 27+,
> which causes a complete lock-up (i.e. C-g won't work), but that
> should likely be a separate bug report.]

Please do.

> best wishes,
>   =E2=80=94Ben

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment

diff --git a/lisp/tramp.el b/lisp/tramp.el
index 7e68b639..4c057703 100644
--- a/lisp/tramp.el
+++ b/lisp/tramp.el
@@ -4868,7 +4868,8 @@ verbosity of 6."
   "Read a password from user (compat function).
 Consults the auth-source package.
 Invokes `password-read' if available, `read-passwd' else."
-  (let* ((case-fold-search t)
+  (let* ((default-directory (tramp-compat-temporary-file-directory))
+	 (case-fold-search t)
 	 (key (tramp-make-tramp-file-name
 	       ;; In tramp-sh.el, we must use "password-vector" due to
 	       ;; multi-hop.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39489; Package emacs. Full text available.

Message received at 39489 <at> debbugs.gnu.org:


Received: (at 39489) by debbugs.gnu.org; 10 Feb 2020 03:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 09 22:56:09 2020
Received: from localhost ([127.0.0.1]:53540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j10B6-0002Vk-SP
	for submit <at> debbugs.gnu.org; Sun, 09 Feb 2020 22:56:09 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:46782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <slade@HIDDEN>) id 1j0yks-0000K8-OK
 for 39489 <at> debbugs.gnu.org; Sun, 09 Feb 2020 21:24:59 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 48G8r42tH8zQlBp;
 Mon, 10 Feb 2020 03:24:52 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lambda-y.net;
 s=MBO0001; t=1581301490;
 h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=z830Np3ksaluwy9rDns3pMqCmUOWH6a9hGjhFopcK7Y=;
 b=RkdUT7bqy4/jTIyobZRWNaciTwsynWBUOPOu9DXgYSyN4x3wXi7HsmHmw7J49H4TrDEKOe
 V9bk5NsU0gdqORctKCCaR/4gXOPnvWarEQMaHgNUVSF4nnAYXIdw6KhtfTN1ATgVoFdX8b
 FaL0XeGUbbjCw2/3d2XCpPg6MGutnhSLWuyfP5tJUaz/WZSAA9rbeAKKZ8BnSySjpzZS8u
 nWz0NfMqw4lMu09msr43SgPnrVodyd85ZOr5Xqodu933KzugNCYSVjtWnmiQYdyNZWvCte
 enOBUwMP2O23e+0BD9o6UVoUD/cgVwl0289tbbMplr1Yrzw7jDnyv4Sg5XPx8w==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id NLq2Rry6fXpS; Mon, 10 Feb 2020 03:24:48 +0100 (CET)
References: <87v9oitf5i.fsf@HIDDEN> <87sgjm5bfu.fsf@HIDDEN>
 <87h8025as5.fsf@HIDDEN> <87imkh5ssj.fsf@HIDDEN>
 <87zhds4wpv.fsf@HIDDEN> <87a75r6gxx.fsf@HIDDEN>
From: Benjamin Slade <slade@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely
In-reply-to: <87a75r6gxx.fsf@HIDDEN>
Date: Sun, 09 Feb 2020 19:24:39 -0700
Message-ID: <87r1z3fac8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39489
X-Mailman-Approved-At: Sun, 09 Feb 2020 22:56:08 -0500
Cc: 39489 <at> debbugs.gnu.org, Benjamin Slade <slade@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Michael,

On 2020-02-09T06:14:34-0700, Michael Albinus=20
<michael.albinus@HIDDEN> wrote:


 > Well, here is the part which looks suspicious (shortened=20
 > heavily).

 > --8<---------------cut=20
 > here---------------start------------->8---
 > > | | | | | | | | | | | | | 14 -> (auth-source-search :max 1=20
 > > :user #("root" 0 4 (tramp-default t)) :host #("sushoma" 0 7=20
 > > (tramp-default t)) :port "sudo" :require (:secret :user)=20
 > > :create t)
 > > | | | | | | | | | | | | | | 15 -> (tramp-file-name-handler=20
 > > expand-file-name "." #("/sudo:root@sushoma:" 6 10=20
 > > (tramp-default t) 11 18 (tramp-default t)))
 > > | | | | | | | | | | | | | | 15 <- tramp-file-name-handler:=20
 > > !non-local\ exit!
 > > | | | | | | | | | | | | | 14 <- auth-source-search:=20
 > > !non-local\ exit!
 > --8<---------------cut=20
 > here---------------end--------------->8---

 > I don't know why `auth-source-search' needs to expand=20
 > ".". Could it be,
 > that it is part of your `exec-path'?

It turns out my $PATH variable had an 'empty' field=20
(e.g. =3D/usr/local/bin::/home/slade/.guix-profile/bin=3D),=20
eliminating that fixed the tramp issue I described in the bug=20
report. (it's interesting that this only manifested was 27+)

[There is still an issue with the =3Dem-tramp=3D package on Emacs 27+,=20
which causes a complete lock-up (i.e. C-g won't work), but that=20
should likely be a separate bug report.]

best wishes,
   =E2=80=94Ben

--=20
( Dr Benjamin Slade . b.slade@HIDDEN . https://lambda-y.net )
( Linguistics . University of Utah . https://linguistics.utah.edu=20
)
( office : LNCO 2309 )
`( pgp_fp: ,(21BA 2AE1 28F6 DF36 110A 0E9C A320 BBE8 2B52 EE19))
'( sent by mu4e in Emacs on GNU/Linux . https://gnu.org )




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39489; Package emacs. Full text available.

Message received at 39489 <at> debbugs.gnu.org:


Received: (at 39489) by debbugs.gnu.org; 9 Feb 2020 13:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 09 08:14:44 2020
Received: from localhost ([127.0.0.1]:52183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j0mQ8-0002Ia-Fm
	for submit <at> debbugs.gnu.org; Sun, 09 Feb 2020 08:14:44 -0500
Received: from mout.gmx.net ([212.227.15.15]:60593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1j0mQ5-0002IN-MM
 for 39489 <at> debbugs.gnu.org; Sun, 09 Feb 2020 08:14:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1581254075;
 bh=ODhSSRSp0XOgdphLnBSpjdHZTNx1/wA0YWUdJBj+yWM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LLvOZxmuM8HnTsj1ddRVNEhaQi3W+ye9FMllNfgU71EefxdM3g3wJtcYOLb6Vs0LU
 allRZHi3j7+zS4tgSmffcT5ZgF0vSzYlCoSVol9IFLCFxC8u/24ExS5BmR/Pmbc0+3
 8DxMLTKzoqV2JGU9oKwhAvkrMXXoD7ZHls3CfXTc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([79.140.125.33]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MOzT4-1iqyGN25Do-00PP8S; Sun, 09
 Feb 2020 14:14:35 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Benjamin Slade <slade@HIDDEN>
Subject: Re: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely
References: <87v9oitf5i.fsf@HIDDEN> <87sgjm5bfu.fsf@HIDDEN>
 <87h8025as5.fsf@HIDDEN> <87imkh5ssj.fsf@HIDDEN>
 <87zhds4wpv.fsf@HIDDEN>
Date: Sun, 09 Feb 2020 14:14:34 +0100
In-Reply-To: <87zhds4wpv.fsf@HIDDEN> (Benjamin Slade's message of "Sat, 
 08 Feb 2020 14:04:28 -0700")
Message-ID: <87a75r6gxx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:yeeEADF3Wo2cyvSe3uDpVop2SBstR8Rmpi0XZsdY3D4PK4dHhVH
 IusffK1t8+mP8qE0ROddz1gUR9Ebe5L82HZcwpJO6GN/IdG7NWh4xATqayRdUz3IKHXEc+G
 c+PRmRUjBKXeFCTyC3i8uDhLrBNtACNjis57eCCWWuLzlR9GADwyBvjIQXey/JtWSCXFa8s
 +NMOPbP0D4QmJYwk+rdhQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:H8uESUzYDG4=:TMhbwLx9uenIomsmbx1r9k
 GXVL0I1aMLlE6DH71R57VzS2rZzd9yxzxLqf2sbri0ihcQMFueRf9lYw7ZhX6DZ6yD2MSf1GM
 eO67yW+1burYfT/lJyNLgCeSXRUeojq29oDOMl/jD0VMzfyG2MTRJ2xD77ZR5ks6nb/0x2tY1
 pBodgsEVd++gE7Fx/LYDNaDtZLB3hzxBiV9mCxnb4Ot1qnSBk29f3rs0aGmm+HdbE7jUNGO8x
 qjcB0ZRt4jUkD38rjMlVOfaG1sMV8OdxOCMZjUICLOE3yTF1Qq/zjggUOpxVOTCoPXNoGdxnk
 fbLeNFEokWmfdFwrw3wuascezjEl5U8GpaC2OrjayqiJhkwx0dcLPFp5dva6EKJY3G2t1nBji
 cUj/QuCUpC1sAhdfbZrn8aiBIEwGXxCoiRVVWGbTemXUkpolkA1itfavnsAjl+leLpArtKFDr
 Y/WH4IFQmLnQqoR0eis3mADEMaLZW0I8EUB984zp64AS1KnGSGvv27ferEMaCBinOmCyu4Ui4
 GMl8navwHHnscQJNfRfuYKbn0fl/jbtmiwLQK6UrutVuPi9b9tx/vzqeImfXOFAdvhXLFdVI2
 J2odsSq0iM4V8njsNLrIgr78X3gI4MBXuaRdoFid9gTLAw+wPx6azwiZ2fS8PHvpmArM4zwwY
 Xi8XxENOxyqB3KUM8s+KOHYV6IbNOtD9pCxV/EE6RGWfK1pZPZL6YXuFspbk4hU/q26xnFBy4
 7f4QNSCG9bnsvoNmg0bv1+DVq5MNUzViTAbXFL46flO9I3rx28oZGhSJDO6+EGRMtbEV9WXE/
 bVsdSUyj7SJfGOzITYiGk/rZpxzEfO/I41OljGZcumnUigjxgJAeB/ikZhqnY8tJzhSOVkRyS
 nIE+K2wK2eDlJWSgI618aZIBH0vQSGWsdc+pzBXjGRQbPfEijYcb71dtQ1evQlgTVT72W6aV4
 AANqK7mL2D3Md35LiHYCrWcFQJ4Uj02n3J+nAqIrPUjH66H13z1J/R+W0Dwd4yh9AvgpzWAtU
 rUdb9dz2eOJYVn93kIxILwUrw+W4kCC5dgqNuEuUsBYhqWyPcm1p2aiEnFsAzSdpAjlBFgDWK
 9qGrOp4pS0EgzIb+7YGqmJ2Erw1HipEU8yqNO+BH56LMrw2AHY+6z/0x0W4XVbuhOkR9Y2Zgz
 XmuKRXv7mz3yzNkacRC13+0Myfyb/+22pTyao3TfN82+eduPiqlqmqx8QMetPwcjqemdEeiAs
 6AR/CeLso5Bl4N/oM
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39489
Cc: 39489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Benjamin Slade <slade@HIDDEN> writes:

> Hi Michael,

Hi Benjamin,

> I have a =3D~/.authinfo.gpg=3D file (with contents). There is no=20
> =3D~/.authinfo=3D file. There *is* a =3D~/.netrc=3D file, but it's empty.
>
> For my regular configuration, the value of =3Dauth-sources=3D is:
>
> ("~/.authinfo.gpg")

That's OK.

> For =3Demacs -q -l tramp-sh=3D, the value of =3Dauth-sources=3D is:
>
> ("~/.authinfo" "~/.authinfo.gpg" "~/.netrc")

This is also OK.

>  > Could you please run the following test:
>
>  > --8<---------------cut=20
>  > here---------------start------------->8---
>  > # emacs -q -l tramp-sh
>  > --8<---------------cut=20
>  > here---------------end--------------->8---
>
> Since you specify `#`, I ran as root first, and then also as my=20
> regular user.

Sorry, I wasn't precise. I need only the traces when Emacs is run as
regular user.

Well, here is the part which looks suspicious (shortened heavily).

--8<---------------cut here---------------start------------->8---
> | | | | | | | | | | | | | 14 -> (auth-source-search :max 1 :user #("root"=
 0 4 (tramp-default t)) :host #("sushoma" 0 7 (tramp-default t)) :port "sud=
o" :require (:secret :user) :create t)
> | | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-na=
me "." #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default =
t)))
> | | | | | | | | | | | | | | 15 <- tramp-file-name-handler: !non-local\ ex=
it!
> | | | | | | | | | | | | | 14 <- auth-source-search: !non-local\ exit!
--8<---------------cut here---------------end--------------->8---

I don't know why `auth-source-search' needs to expand ".". Could it be,
that it is part of your `exec-path'?

> with many thanks,
>    =E2=80=94Ben

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39489; Package emacs. Full text available.

Message received at 39489 <at> debbugs.gnu.org:


Received: (at 39489) by debbugs.gnu.org; 9 Feb 2020 02:53:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 08 21:53:26 2020
Received: from localhost ([127.0.0.1]:51975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j0cir-00009H-Es
	for submit <at> debbugs.gnu.org; Sat, 08 Feb 2020 21:53:26 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:41530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <slade@HIDDEN>) id 1j0XHt-0000a5-Eg
 for 39489 <at> debbugs.gnu.org; Sat, 08 Feb 2020 16:05:14 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 48FPnb0K5tzKmhS;
 Sat,  8 Feb 2020 22:05:07 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lambda-y.net;
 s=MBO0001; t=1581195904;
 h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:in-reply-to:in-reply-to:  references:references;
 bh=748lTeJMgUhZUSIs5XcYUXztx3Jb4TRJlj3owdqUUtc=;
 b=Me8KmU2obrxpfYe+uczlFsJuCFYhXkVINK9PUOsDGD8t41imvhcV3zQ5mpl/rSY63uQaXj
 v3NxkBTNg0AIiw8/G2pu4HLt6l/CQdFmqS5YVE8+dUdP1DwZEM7vHJkkfMThiiiZGUHLNi
 0/AvfrOJx6B0KEhucMIdhpfl0mKnOv1e9HJpJ924nUruZSBj3Kk+EUGyozMFtd/nJt7B5t
 cKQO1sBgvr9RWTg1cF6cqqWI9byVZyXFRc9mcNOYNlCC7JIWMT2gjnDKdk3mXZpfrCza1M
 6b+kfkIH0v/DX437AW4aSJvar2sWG3yzH7JXCSc1XT9wEklHR4Y5wqaKi4ekig==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id AFaAMkL8RlBh; Sat,  8 Feb 2020 22:04:49 +0100 (CET)
References: <87v9oitf5i.fsf@HIDDEN> <87sgjm5bfu.fsf@HIDDEN>
 <87h8025as5.fsf@HIDDEN> <87imkh5ssj.fsf@HIDDEN>
From: Benjamin Slade <slade@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely
In-reply-to: <87imkh5ssj.fsf@HIDDEN>
Date: Sat, 08 Feb 2020 14:04:28 -0700
Message-ID: <87zhds4wpv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 39489
X-Mailman-Approved-At: Sat, 08 Feb 2020 21:53:22 -0500
Cc: 39489 <at> debbugs.gnu.org, Benjamin Slade <slade@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Michael,

Thanks for following up on this. (It is most perplexing to me.)

On 2020-02-08T02:31:40-0700, Michael Albinus=20
<michael.albinus@HIDDEN> wrote:

 > Like you, I believe it is a problem with auth-sources.el. I=20
 > suppose you have only one file, ~/.authinfo.gpg? And you don't=20
 > have neither ~/.authinfo nor ./netrc? What is the value of=20
 > auth-sources?

I have a =3D~/.authinfo.gpg=3D file (with contents). There is no=20
=3D~/.authinfo=3D file. There *is* a =3D~/.netrc=3D file, but it's empty.

For my regular configuration, the value of =3Dauth-sources=3D is:

--8<---------------cut here---------------start------------->8---
("~/.authinfo.gpg")
--8<---------------cut here---------------end--------------->8---

For =3Demacs -q -l tramp-sh=3D, the value of =3Dauth-sources=3D is:

--8<---------------cut here---------------start------------->8---
("~/.authinfo" "~/.authinfo.gpg" "~/.netrc")
--8<---------------cut here---------------end--------------->8---


 > Could you please run the following test:

 > --8<---------------cut=20
 > here---------------start------------->8---
 > # emacs -q -l tramp-sh
 > --8<---------------cut=20
 > here---------------end--------------->8---

Since you specify `#`, I ran as root first, and then also as my=20
regular user.

 > In Emacs, please evaluate

 > --8<---------------cut=20
 > here---------------start------------->8---
 > (progn
 >   (dolist (elt (cons "auth-source-search"
 >                      (all-completions "tramp-" obarray=20
 >                      'functionp)))
 >     (trace-function-background (intern elt)))
 >   (setq auth-source-debug 'trivia))
 > --8<---------------cut=20
 > here---------------end--------------->8---

 > After that, pls apply

 > --8<---------------cut=20
 > here---------------start------------->8---
 > C-x C-f /sudo:: ;; Cancel it with C-g if necessary
 > M-x untrace-all
 > --8<---------------cut=20
 > here---------------end--------------->8---

 > There will be a new buffer *trace-output*, which I would like=20
 > to see.
 > I would also like to see your *Messages* buffer, with the=20
 > traces from
 > auth-sources.el. Pls send them as attachment, in order to keep=20
 > the line
 > breaks.

I did the above both as root and as my regular user. I attach the=20
results of both.

 > *** ATTENTION ***

 > The *trace-output* buffer might contain your password, as=20
 > result of the
 > function tramp-read-passwd, and in obfuscated form as result of
 > auth-source-search. You should overwrite these strings with=20
 > "xxx" or
 > alike.

I could find no evidence of any of my passwords in this output.


with many thanks,
   =E2=80=94Ben

--
( Dr Benjamin Slade . b.slade@HIDDEN . https://lambda-y.net )
( Linguistics . University of Utah . https://linguistics.utah.edu=20
)
( office : LNCO 2309 )
`( pgp_fp: ,(21BA 2AE1 28F6 DF36 110A 0E9C A320 BBE8 2B52 EE19))
'( sent by mu4e in Emacs on GNU/Linux . https://gnu.org )

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=regularuser.tramp.txt
Content-Transfer-Encoding: quoted-printable

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-setup-minibuffer)
1 <- tramp-rfn-eshadow-setup-minibuffer: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "~/")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "~")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/s")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/su")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sud")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo:")
| 2 <- tramp-tramp-file-p: nil
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::")
| 2 <- tramp-file-name-for-operation: "/sudo::"
| 2 -> (tramp-tramp-file-p "/sudo::")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::")
| 2 <- tramp-replace-environment-variables: "/sudo::"
| 2 -> (tramp-dissect-file-name "/sudo::")
| | 3 -> (tramp-tramp-file-p "/sudo::")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::" substitute-in-file-n=
ame)
| | 3 -> (tramp-tramp-file-p "/sudo::")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::")
| | | 4 -> (tramp-tramp-file-p "/sudo::")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::" localname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::" localna=
me nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::"
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::"
| | | | 5 -> (tramp-dissect-file-name "/sudo::")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::" file-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil #1=3D"" nil) =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil #1# nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::" localname =
nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" n=
il))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" ni=
l))
| | | | | | | | 9 -> (tramp-delete-temp-file-function)
| | | | | | | | 9 <- tramp-delete-temp-file-function: nil
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | 6 <- tramp-handle-file-remote-p: ""
| | | | 5 <- tramp-sh-file-name-handler: ""
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil) =
#1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: ""
| | | 4 -> (tramp-replace-environment-variables "/sudo::")
| | | 4 <- tramp-replace-environment-variables: "/sudo::"
| | | 4 -> (tramp-dissect-file-name "/sudo::")
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::"
| | | | 5 -> (tramp-tramp-file-p "/sudo::")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::"
| | | | 5 -> (tramp-dissect-file-name "/sudo::")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::" file-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil #1=3D"" nil) =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil #1# nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" n=
il))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" ni=
l))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil=
) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil) =
#1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name (""))
| | | 4 <- tramp-run-real-handler: ""
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:" 6 10=
 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-defa=
ult t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-default t=
) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/")
| 2 <- tramp-file-name-for-operation: "/sudo::/"
| 2 -> (tramp-tramp-file-p "/sudo::/")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/")
| 2 <- tramp-replace-environment-variables: "/sudo::/"
| 2 -> (tramp-dissect-file-name "/sudo::/")
| | 3 -> (tramp-tramp-file-p "/sudo::/")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/" substitute-in-file-=
name)
| | 3 -> (tramp-tramp-file-p "/sudo::/")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/" localname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/" localn=
ame nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/" file-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil) (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "/" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/" localname=
 nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" =
nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" n=
il))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/"
| | | | 5 <- tramp-sh-file-name-handler: "/"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)=
 #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/"
| | | 4 -> (tramp-dissect-file-name "/sudo::/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/" nil ni=
l)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/" file-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil) (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "/" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" =
nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" n=
il))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" ni=
l) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil)=
 #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil=
))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/"))
| | | 4 <- tramp-run-real-handler: "/"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/" 6 1=
0 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/" 6 10 (tramp-default =
t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/e")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/e")
| 2 <- tramp-file-name-for-operation: "/sudo::/e"
| 2 -> (tramp-tramp-file-p "/sudo::/e")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/e")
| 2 <- tramp-replace-environment-variables: "/sudo::/e"
| 2 -> (tramp-dissect-file-name "/sudo::/e")
| | 3 -> (tramp-tramp-file-p "/sudo::/e")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/e" substitute-in-file=
-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/e")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/e")
| | | 4 -> (tramp-tramp-file-p "/sudo::/e")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/e")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/e")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/e" localname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/e" local=
name nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/e"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/e")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/e"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/e" file-remote-=
p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil) (tr=
amp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (t=
ramp-default t)) nil "/e" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/e" localnam=
e nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/e" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e"=
 nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" =
nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/e" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/e" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/e" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/e"
| | | | 5 <- tramp-sh-file-name-handler: "/e"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil=
) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/e"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/e")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/e"
| | | 4 -> (tramp-dissect-file-name "/sudo::/e")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/e" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/e" nil n=
il)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/e"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/e")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/e")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/e"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/e" file-remote-=
p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/e")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil) (tr=
amp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (t=
ramp-default t)) nil "/e" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/e" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/e" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e"=
 nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" =
nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/e" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/e" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/e" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/e")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/e")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" n=
il) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil=
) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" ni=
l))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/e"))
| | | 4 <- tramp-run-real-handler: "/e"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/e" 6 =
10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/e" 6 10 (tramp-de=
fault t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/e" 6 10 (tramp-default=
 t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/e")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/et")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/et")
| 2 <- tramp-file-name-for-operation: "/sudo::/et"
| 2 -> (tramp-tramp-file-p "/sudo::/et")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/et")
| 2 <- tramp-replace-environment-variables: "/sudo::/et"
| 2 -> (tramp-dissect-file-name "/sudo::/et")
| | 3 -> (tramp-tramp-file-p "/sudo::/et")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/et" substitute-in-fil=
e-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/et")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/et")
| | | 4 -> (tramp-tramp-file-p "/sudo::/et")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/et")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/et")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/et" localname ni=
l)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/et" loca=
lname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/et"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/et")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/et"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/et" file-remote=
-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil) (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "/et" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/et" localna=
me nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/et" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et"=
 nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/et" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/et" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/et" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/et"
| | | | 5 <- tramp-sh-file-name-handler: "/et"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" ni=
l) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/et"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/et")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/et"
| | | 4 -> (tramp-dissect-file-name "/sudo::/et")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/et" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/et" nil =
nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/et"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/et")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/et")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/et"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/et" file-remote=
-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/et")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil) (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "/et" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/et" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/et" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et"=
 nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/et" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/et" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/et" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/et")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/et")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" =
nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" ni=
l) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" n=
il))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil=
))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/et"))
| | | 4 <- tramp-run-real-handler: "/et"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/et" 6=
 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/et" 6 10 (tramp-d=
efault t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/et" 6 10 (tramp-defaul=
t t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/et")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc"
| 2 -> (tramp-tramp-file-p "/sudo::/etc")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc"
| 2 -> (tramp-dissect-file-name "/sudo::/etc")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc" substitute-in-fi=
le-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc" localname n=
il)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc" loc=
alname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc" file-remot=
e-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil) (=
tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 =
(tramp-default t)) nil "/etc" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc" localn=
ame nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc"
| | | | 5 <- tramp-sh-file-name-handler: "/etc"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" n=
il) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc" nil=
 nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc" file-remot=
e-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil=
))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil) (=
tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 =
(tramp-default t)) nil "/etc" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc" nil ni=
l)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc"=
 nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" n=
il) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" =
nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" ni=
l))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc"))
| | | 4 <- tramp-run-real-handler: "/etc"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc" =
6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc" 6 10 (tramp-=
default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc" 6 10 (tramp-defau=
lt t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/" substitute-in-f=
ile-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/" localname =
nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/" lo=
calname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/" file-remo=
te-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil) =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil "/etc/" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/" local=
name nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil=
))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" =
nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/" ni=
l nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/" file-remo=
te-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" ni=
l))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil) =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil "/etc/" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/" nil n=
il)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil=
))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" =
nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/"=
 nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" n=
il))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/"))
| | | 4 <- tramp-run-real-handler: "/etc/"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/"=
 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/" 6 10 (tramp=
-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/" 6 10 (tramp-defa=
ult t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/r")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
r")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/r"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/r")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/r")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/r"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/r" substitute-in-=
file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/r")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/r")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/r")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/r" localname=
 nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/r" l=
ocalname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/r"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/r")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/r"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/r" file-rem=
ote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)=
 (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 =
7 (tramp-default t)) nil "/etc/r" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/r" loca=
lname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/r" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/r" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/r" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/r" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" ni=
l))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/r" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/r" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/r"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/r"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r"=
 nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/r"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/r")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/r"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/r" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/r" n=
il nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/r"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/r")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/r"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/r" file-rem=
ote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/r")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" n=
il))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil)=
 (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 =
7 (tramp-default t)) nil "/etc/r" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/r" nil =
nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/r" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/r" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/r" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/r" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" ni=
l))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/r" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/r" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/r")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/r")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
r" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r"=
 nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" =
nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/r"))
| | | 4 <- tramp-run-real-handler: "/etc/r"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/r" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/r" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/r")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc" substitute-in=
-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc" localnam=
e nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc" =
localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc" file-re=
mote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil=
) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "/etc/rc" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc" loc=
alname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" n=
il))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc" nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc" =
nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc" file-re=
mote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" =
nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil=
) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "/etc/rc" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc" nil=
 nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" n=
il))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc"=
 nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc"))
| | | 4 <- tramp-run-real-handler: "/etc/rc"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc" 6 10 (tra=
mp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc" nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc" 6 10 (tramp-de=
fault t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc."
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc."
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc." substitute-i=
n-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil) nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc." localna=
me nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc."=
 localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc."
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc."
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." ni=
l)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc." file-r=
emote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." ni=
l) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" =
0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc." lo=
calname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc." localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc." nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc." nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc." nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." =
nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc." nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc." nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc."
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc."
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
." nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc."
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc."
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc." nil nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc."=
 nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc."
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc."
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." ni=
l)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc." file-r=
emote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc."=
 nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." ni=
l) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" =
0 7 (tramp-default t)) nil "/etc/rc." nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc." ni=
l nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc." nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc." nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc." nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc." nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." =
nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc." nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc." nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc." nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
." nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c." nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc."))
| | | 4 <- tramp-run-real-handler: "/etc/rc."
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c." 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc." 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc." nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc." 6 10 (tramp-d=
efault t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.c")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.c")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc.c"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.c")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc.c"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.c" substitute-=
in-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.c")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil) ni=
l)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
c")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.c")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.c" localn=
ame nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
" localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.c"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.c")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.c"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" n=
il)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.c" file-=
remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" n=
il) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.c" l=
ocalname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.c" localname nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.c" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.c" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.c" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c"=
 nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.c" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.c" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc.c"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc.c"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.c" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc.c"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.c")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc.c"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.c" nil ni=
l)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.c"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.c")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.c"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" n=
il)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.c" file-=
remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.c")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" n=
il) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "/etc/rc.c" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.c" n=
il nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.c" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.c" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.c" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.c" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c"=
 nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.c" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.c" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.c")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.c" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.c" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.c" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
c" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc.c"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.c"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c.c" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.c" 6 10 (t=
ramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c" nil=
))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.c" 6 10 (tramp-=
default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.c")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.co")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.co")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc.co"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.co")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc.co"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.co" substitute=
-in-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.co")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil=
))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" nil) n=
il)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
co")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.co")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.co" local=
name nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
o" localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.co"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.co")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.co"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" =
nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.co" file=
-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" =
nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma=
" 0 7 (tramp-default t)) nil "/etc/rc.co" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.co" =
localname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.co" localname ni=
l)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.co" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.co" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.co" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.co" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.co" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc.co"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc.co"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.co" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc.co"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.co")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc.co"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.co" nil n=
il)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
o" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.co"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.co")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.co"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" =
nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.co" file=
-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.co")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
o" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" =
nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma=
" 0 7 (tramp-default t)) nil "/etc/rc.co" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.co" =
nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.co" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.co" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.co" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.co" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.co" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.co" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.co")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.co" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.co" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.co" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
co" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc.co"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.co"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c.co" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.co" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co" ni=
l))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.co" 6 10 (tramp=
-default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.co")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.con")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.con")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc.con"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.con")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc.con"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.con" substitut=
e-in-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.con")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" ni=
l))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" nil) =
nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
con")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.con")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.con" loca=
lname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
on" localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.con"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.con")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.con"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con"=
 nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.con" fil=
e-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con"=
 nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushom=
a" 0 7 (tramp-default t)) nil "/etc/rc.con" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.con"=
 localname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.con" localname n=
il)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.con" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.con" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.con" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
n" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.con" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.con" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc.con"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc.con"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.con" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc.con"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.con")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc.con"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.con" nil =
nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
on" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.con"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.con")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.con"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con"=
 nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.con" fil=
e-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.con")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
on" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con"=
 nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushom=
a" 0 7 (tramp-default t)) nil "/etc/rc.con" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.con"=
 nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.con" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.con" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.con" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.con" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
n" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.con" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.con" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.con")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.con" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.con" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.con" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
con" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc.con"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.con"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c.con" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.con" 6 10 =
(tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con" n=
il))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.con" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.con")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.conf")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.conf")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" substitu=
te-in-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)=
 nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
conf")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.conf" loc=
alname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
onf" localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" fi=
le-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("susho=
ma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.conf=
" localname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.conf" localname =
nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.conf" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
nf" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc.conf"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc.conf"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc.conf"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.conf" nil=
 nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
onf" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" fi=
le-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("susho=
ma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.conf=
" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.conf" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.conf" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
nf" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc.conf"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.conf"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c.conf" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tra=
mp-default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-rfn-eshadow-update-overlay)
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-rfn-eshadow-update-overlay-regexp)
| 2 <- tramp-rfn-eshadow-update-overlay-regexp: "[^:/~]*\\(/\\|~\\)"
1 <- tramp-rfn-eshadow-update-overlay: nil
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler substitute-in-file-name "/sudo::/etc/rc.conf")
| 2 -> (tramp-file-name-for-operation substitute-in-file-name "/sudo::/etc/=
rc.conf")
| 2 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| 2 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| 2 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| 2 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" nil nil)
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" nil nil)
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)
| 2 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" substitu=
te-in-file-name)
| | 3 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)=
 nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler substitute-in-file-name "/sudo::/etc/rc.=
conf")
| | 3 -> (tramp-handle-substitute-in-file-name "/sudo::/etc/rc.conf")
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.conf" loc=
alname nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
onf" localname nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" fi=
le-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("susho=
ma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.conf=
" localname nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.conf" localname =
nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.conf" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
nf" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | 6 <- tramp-handle-file-remote-p: "/etc/rc.conf"
| | | | 5 <- tramp-sh-file-name-handler: "/etc/rc.conf"
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: "/etc/rc.conf"
| | | 4 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | 4 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | 4 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" nil nil)
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" nil nil)
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-handler file-remote-p "/sudo::/etc/rc.conf" nil=
 nil)
| | | | 5 -> (tramp-file-name-for-operation file-remote-p "/sudo::/etc/rc.c=
onf" nil nil)
| | | | 5 <- tramp-file-name-for-operation: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-replace-environment-variables "/sudo::/etc/rc.conf")
| | | | 5 <- tramp-replace-environment-variables: "/sudo::/etc/rc.conf"
| | | | 5 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" nil nil)
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" nil nil)
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) nil)
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-find-foreign-file-name-handler "/sudo::/etc/rc.conf" fi=
le-remote-p)
| | | | | 6 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-adb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-adb-file-name-p: nil
| | | | | 6 -> (tramp-ftp-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-ftp-file-name-p: nil
| | | | | 6 -> (tramp-gvfs-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-gvfs-file-name-p: nil
| | | | | 6 -> (tramp-rclone-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-rclone-file-name-p: nil
| | | | | 6 -> (tramp-smb-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-smb-file-name-p: nil
| | | | | 6 -> (tramp-sudoedit-file-name-p "/sudo::/etc/rc.conf")
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0=
 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.c=
onf" nil))
| | | | | | 7 <- tramp-file-name-method: "sudo"
| | | | | 6 <- tramp-sudoedit-file-name-p: nil
| | | | 5 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handl=
er
| | | | 5 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("susho=
ma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | | 5 -> (tramp-sh-file-name-handler file-remote-p "/sudo::/etc/rc.conf=
" nil nil)
| | | | | 6 -> (tramp-handle-file-remote-p "/sudo::/etc/rc.conf" nil nil)
| | | | | | 7 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | 7 <- tramp-tramp-file-p: t
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-get-connection-process (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | 8 -> (tramp-get-connection-name (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.conf" nil))
| | | | | | | | 9 -> (tramp-get-connection-property (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | 9 <- tramp-get-connection-property: nil
| | | | | | | | 9 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 =
4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.co=
nf" nil))
| | | | | | | | | 10 -> (tramp-file-name-user-domain (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-de=
fault t))
| | | | | | | | | 10 -> (tramp-file-name-host-port (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | 10 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | 9 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16=
 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | 8 <- tramp-get-connection-name: #("*tramp/sudo root@sushoma*"=
 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | 7 <- tramp-get-connection-process: nil
| | | | | | 7 -> (tramp-dissect-file-name "/sudo::/etc/rc.conf")
| | | | | | | 8 -> (tramp-tramp-file-p "/sudo::/etc/rc.conf")
| | | | | | | 8 <- tramp-tramp-file-p: t
| | | | | | | 8 -> (tramp-find-method "sudo" nil nil)
| | | | | | | 8 <- tramp-find-method: "sudo"
| | | | | | | 8 -> (tramp-find-user "sudo" nil nil)
| | | | | | | 8 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | | | 8 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) =
nil)
| | | | | | | 8 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | | | 7 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil)
| | | | | | 7 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil) noloc)
| | | | | | 7 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:" 6 10 (=
tramp-default t) 11 18 (tramp-default t))
| | | | | 6 <- tramp-handle-file-remote-p: #("/sudo:root@sushoma:" 6 10 (tr=
amp-default t) 11 18 (tramp-default t))
| | | | 5 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tram=
p-default t) 11 18 (tramp-default t))
| | | | 5 -> (tramp-file-name-equal-p #1=3D(tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil) #1#)
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-file-name-equal-p: t
| | | 4 <- tramp-file-name-handler: #("/sudo:root@sushoma:" 6 10 (tramp-def=
ault t) 11 18 (tramp-default t))
| | | 4 -> (tramp-run-real-handler substitute-in-file-name ("/etc/rc.conf"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.conf"
| | 3 <- tramp-handle-substitute-in-file-name: #("/sudo:root@sushoma:/etc/r=
c.conf" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tra=
mp-default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler expand-file-name #("/sudo:root@sushoma:/etc/r=
c.conf" 6 10 (tramp-default t) 11 18 (tramp-default t)) nil)
| 2 -> (tramp-file-name-for-operation expand-file-name #("/sudo:root@sushom=
a:/etc/rc.conf" 6 10 (tramp-default t) 11 18 (tramp-default t)) nil)
| 2 <- tramp-file-name-for-operation: #("/sudo:root@sushoma:/etc/rc.conf" 6=
 10 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tramp-=
default t) 11 18 (tramp-default t)))
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables #("/sudo:root@sushoma:/etc/rc.c=
onf" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| 2 <- tramp-replace-environment-variables: #("/sudo:root@sushoma:/etc/rc.c=
onf" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | 3 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tram=
p-default t) 11 18 (tramp-default t)))
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("susho=
ma" 0 7 (tramp-default t)))
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sushoma=
" 0 7 (tramp-default t)))
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sushoma=
" 0 7 (tramp-default t)))
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)
| 2 -> (tramp-find-foreign-file-name-handler #("/sudo:root@sushoma:/etc/rc.=
conf" 6 10 (tramp-default t) 11 18 (tramp-default t)) expand-file-name)
| | 3 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tram=
p-default t) 11 18 (tramp-default t)))
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 =
10 (tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)=
 nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler expand-file-name #("/sudo:root@sushoma:/=
etc/rc.conf" 6 10 (tramp-default t) 11 18 (tramp-default t)) nil)
| | 3 -> (tramp-sh-handle-expand-file-name #("/sudo:root@sushoma:/etc/rc.co=
nf" 6 10 (tramp-default t) 11 18 (tramp-default t)) nil)
| | | 4 -> (tramp-connectable-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6=
 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | 6 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #(=
"sushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16 (tramp-=
default t) 17 24 (tramp-default t))
| | | 4 <- tramp-connectable-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-run-real-handler file-name-absolute-p ("/etc/rc.conf"))
| | | 4 <- tramp-run-real-handler: t
| | | 4 -> (tramp-run-real-handler expand-file-name ("/etc/rc.conf"))
| | | 4 <- tramp-run-real-handler: "/etc/rc.conf"
| | | 4 -> (tramp-drop-volume-letter "/etc/rc.conf")
| | | 4 <- tramp-drop-volume-letter: "/etc/rc.conf"
| | | 4 -> (tramp-make-tramp-file-name (tramp-file-name "sudo" #("root" 0 4=
 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con=
f" nil) "/etc/rc.conf")
| | | 4 <- tramp-make-tramp-file-name: #("/sudo:root@sushoma:/etc/rc.conf" =
6 10 (tramp-default t) 11 18 (tramp-default t))
| | 3 <- tramp-sh-handle-expand-file-name: #("/sudo:root@sushoma:/etc/rc.co=
nf" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 <- tramp-sh-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-file-name-equal-p nil (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil))
| 2 <- tramp-file-name-equal-p: nil
1 <- tramp-file-name-handler: #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tra=
mp-default t) 11 18 (tramp-default t))
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
1 -> (tramp-file-name-handler file-exists-p #("/sudo:root@sushoma:/etc/rc.c=
onf" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| 2 -> (tramp-file-name-for-operation file-exists-p #("/sudo:root@sushoma:/=
etc/rc.conf" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| 2 <- tramp-file-name-for-operation: #("/sudo:root@sushoma:/etc/rc.conf" 6=
 10 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tramp-=
default t) 11 18 (tramp-default t)))
| 2 <- tramp-tramp-file-p: t
| 2 -> (tramp-replace-environment-variables #("/sudo:root@sushoma:/etc/rc.c=
onf" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| 2 <- tramp-replace-environment-variables: #("/sudo:root@sushoma:/etc/rc.c=
onf" 6 10 (tramp-default t) 11 18 (tramp-default t))
| 2 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | 3 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tram=
p-default t) 11 18 (tramp-default t)))
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("susho=
ma" 0 7 (tramp-default t)))
| | 3 <- tramp-find-method: "sudo"
| | 3 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sushoma=
" 0 7 (tramp-default t)))
| | 3 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | 3 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sushoma=
" 0 7 (tramp-default t)))
| | 3 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| 2 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)
| 2 -> (tramp-find-foreign-file-name-handler #("/sudo:root@sushoma:/etc/rc.=
conf" 6 10 (tramp-default t) 11 18 (tramp-default t)) file-exists-p)
| | 3 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tram=
p-default t) 11 18 (tramp-default t)))
| | 3 <- tramp-tramp-file-p: t
| | 3 -> (tramp-adb-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-adb-file-name-p: nil
| | 3 -> (tramp-ftp-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-ftp-file-name-p: nil
| | 3 -> (tramp-gvfs-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-gvfs-file-name-p: nil
| | 3 -> (tramp-rclone-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-rclone-file-name-p: nil
| | 3 -> (tramp-smb-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-smb-file-name-p: nil
| | 3 -> (tramp-sudoedit-file-name-p #("/sudo:root@sushoma:/etc/rc.conf" 6 =
10 (tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (tr=
amp-default t) 11 18 (tramp-default t)))
| | | 4 <- tramp-tramp-file-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-file-name-method (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" n=
il))
| | | 4 <- tramp-file-name-method: "sudo"
| | 3 <- tramp-sudoedit-file-name-p: nil
| 2 <- tramp-find-foreign-file-name-handler: tramp-sh-file-name-handler
| 2 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil)=
 nil)
| 2 <- tramp-file-name-equal-p: nil
| 2 -> (tramp-sh-file-name-handler file-exists-p #("/sudo:root@sushoma:/etc=
/rc.conf" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | 3 -> (tramp-sh-handle-file-exists-p #("/sudo:root@sushoma:/etc/rc.conf"=
 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | 4 -> (tramp-connectable-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (t=
ramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6=
 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | 6 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | | | 6 <- tramp-tramp-file-p: t
| | | | | 6 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #(=
"sushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-method: "sudo"
| | | | | 6 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | | 6 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 =
(tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf=
" nil)
| | | | 5 -> (tramp-buffer-name (tramp-file-name "sudo" #("root" 0 4 (tramp=
-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | 6 -> (tramp-file-name-user-domain (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil))
| | | | | 6 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-default t))
| | | | | 6 -> (tramp-file-name-host-port (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | | 6 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp-default t))
| | | | 5 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12 16 (tramp-=
default t) 17 24 (tramp-default t))
| | | 4 <- tramp-connectable-p: t
| | | 4 -> (tramp-dissect-file-name #("/sudo:root@sushoma:/etc/rc.conf" 6 1=
0 (tramp-default t) 11 18 (tramp-default t)))
| | | | 5 -> (tramp-tramp-file-p #("/sudo:root@sushoma:/etc/rc.conf" 6 10 (=
tramp-default t) 11 18 (tramp-default t)))
| | | | 5 <- tramp-tramp-file-p: t
| | | | 5 -> (tramp-find-method "sudo" #("root" 0 4 (tramp-default t)) #("s=
ushoma" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-method: "sudo"
| | | | 5 -> (tramp-find-user "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-user: #("root" 0 4 (tramp-default t))
| | | | 5 -> (tramp-find-host "sudo" #("root" 0 4 (tramp-default t)) #("sus=
homa" 0 7 (tramp-default t)))
| | | | 5 <- tramp-find-host: #("sushoma" 0 7 (tramp-default t))
| | | 4 <- tramp-dissect-file-name: (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" =
nil)
| | | 4 -> (tramp-get-file-property (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil #1=3D"/etc/rc.c=
onf" nil) "/etc/rc.conf" "file-exists-p" undef)
| | | | 5 -> (tramp-run-real-handler directory-file-name ("/etc/rc.conf"))
| | | | 5 <- tramp-run-real-handler: "/etc/rc.conf"
| | | 4 <- tramp-get-file-property: undef
| | | 4 -> (tramp-get-file-property (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil #1=3D"/etc/rc.c=
onf" nil) "/etc/rc.conf" "file-attributes-integer" nil)
| | | | 5 -> (tramp-run-real-handler directory-file-name ("/etc/rc.conf"))
| | | | 5 <- tramp-run-real-handler: "/etc/rc.conf"
| | | 4 <- tramp-get-file-property: nil
| | | 4 -> (tramp-get-file-property (tramp-file-name "sudo" #("root" 0 4 (t=
ramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil #1=3D"/etc/rc.c=
onf" nil) "/etc/rc.conf" "file-attributes-string" nil)
| | | | 5 -> (tramp-run-real-handler directory-file-name ("/etc/rc.conf"))
| | | | 5 <- tramp-run-real-handler: "/etc/rc.conf"
| | | 4 <- tramp-get-file-property: nil
| | | 4 -> (tramp-get-file-exists-command (tramp-file-name "sudo" #("root" =
0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.=
conf" nil))
| | | | 5 -> (tramp-get-connection-property (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil) "file-exists" undef)
| | | | 5 <- tramp-get-connection-property: undef
| | | | 5 -> (tramp-find-file-exists-command (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil))
| | | | | 6 -> (tramp-shell-quote-argument "/ this file does not exist ")
| | | | | | 7 -> (tramp-unquote-shell-quote-argument "/ this file does not =
exist ")
| | | | | | 7 <- tramp-unquote-shell-quote-argument: "/\\ this\\ file\\ doe=
s\\ not\\ exist\\ "
| | | | | 6 <- tramp-shell-quote-argument: "/\\ this\\ file\\ does\\ not\\ =
exist\\ "
| | | | | 6 -> (tramp-get-test-command (tramp-file-name "sudo" #("root" 0 4=
 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con=
f" nil))
| | | | | | 7 -> (tramp-get-connection-property (tramp-file-name "sudo" #("=
root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e=
tc/rc.conf" nil) "test" undef)
| | | | | | 7 <- tramp-get-connection-property: undef
| | | | | | 7 -> (tramp-send-command-and-check (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil) "test 0")
| | | | | | | 8 -> (tramp-send-command (tramp-file-name "sudo" #("root" 0 4=
 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.con=
f" nil) "test 0 2>/dev/null; echo tramp_exit_status $?")
| | | | | | | | 9 -> (tramp-maybe-open-connection (tramp-file-name "sudo" #=
("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "=
/etc/rc.conf" nil))
| | | | | | | | | 10 -> (tramp-connectable-p (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-buffer-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-file-name-user-domain (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-user-domain: #("root" 0 4 (tram=
p-default t))
| | | | | | | | | | | 12 -> (tramp-file-name-host-port (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-host-port: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | 11 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" =
12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 <- tramp-connectable-p: t
| | | | | | | | | 10 -> (tramp-get-connection-process (tramp-file-name "sud=
o" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) n=
il "/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-connection-name (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | 12 <- tramp-get-connection-property: nil
| | | | | | | | | | | 12 -> (tramp-buffer-name (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-file-name-user-domain (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-user-domain: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | 13 -> (tramp-file-name-host-port (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-host-port: #("sushoma" 0 7 (t=
ramp-default t))
| | | | | | | | | | | 12 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*=
" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-connection-name: #("*tramp/sudo root@su=
shoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 <- tramp-get-connection-process: nil
| | | | | | | | | 10 -> (tramp-get-connection-property (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | 10 <- tramp-get-connection-property: nil
| | | | | | | | | 10 -> (tramp-get-connection-buffer (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-connection-property (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil) "process-buffer" nil)
| | | | | | | | | | 11 <- tramp-get-connection-property: nil
| | | | | | | | | | 11 -> (tramp-get-buffer (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil) nil)
| | | | | | | | | | | 12 -> (tramp-buffer-name (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-file-name-user-domain (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-user-domain: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | 13 -> (tramp-file-name-host-port (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-host-port: #("sushoma" 0 7 (t=
ramp-default t))
| | | | | | | | | | | 12 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*=
" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 -> (tramp-buffer-name (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-file-name-user-domain (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-user-domain: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | 13 -> (tramp-file-name-host-port (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-host-port: #("sushoma" 0 7 (t=
ramp-default t))
| | | | | | | | | | | 12 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*=
" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "process-buffer" nil)
| | | | | | | | | | | 12 <- tramp-get-connection-property: nil
| | | | | | | | | | | 12 -> (tramp-set-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "process-buffer" nil)
| | | | | | | | | | | 12 <- tramp-set-connection-property: nil
| | | | | | | | | | | 12 -> (tramp-make-tramp-file-name (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil) noloc nohop)
| | | | | | | | | | | 12 <- tramp-make-tramp-file-name: #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-buffer: #<buffer *tramp/sudo root@susho=
ma*>
| | | | | | | | | 10 <- tramp-get-connection-buffer: #<buffer *tramp/sudo r=
oot@sushoma*>
| | | | | | | | | 10 -> (tramp-file-name-equal-p (tramp-file-name "sudo" #(=
"root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/=
etc/rc.conf" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-file-name-user-domain (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | 11 -> (tramp-file-name-user-domain (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | 11 -> (tramp-file-name-host-port (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp=
-default t))
| | | | | | | | | | 11 -> (tramp-file-name-host-port (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp=
-default t))
| | | | | | | | | 10 <- tramp-file-name-equal-p: t
| | | | | | | | | 10 -> (tramp-get-connection-property nil "last-cmd-time" =
0)
| | | | | | | | | 10 <- tramp-get-connection-property: 0
| | | | | | | | | 10 -> (tramp-get-local-locale (tramp-file-name "sudo" #("=
root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e=
tc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-connection-property nil "locale" undef)
| | | | | | | | | | 11 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 -> (tramp-call-process nil "locale" nil t nil "-a")
| | | | | | | | | | | 12 -> (tramp-delete-temp-file-function)
| | | | | | | | | | | 12 <- tramp-delete-temp-file-function: nil
| | | | | | | | | | 11 <- tramp-call-process: 0
| | | | | | | | | | 11 -> (tramp-delete-temp-file-function)
| | | | | | | | | | 11 <- tramp-delete-temp-file-function: nil
| | | | | | | | | | 11 -> (tramp-set-connection-property nil "locale" "en_U=
S.utf8")
| | | | | | | | | | 11 <- tramp-set-connection-property: "en_US.utf8"
| | | | | | | | | 10 <- tramp-get-local-locale: "en_US.utf8"
| | | | | | | | | 10 -> (tramp-compute-multi-hops (tramp-file-name "sudo" #=
("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "=
/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-method-parameter (tramp-file-name "sud=
o" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) n=
il "/etc/rc.conf" nil) tramp-login-args)
| | | | | | | | | | | 12 -> (tramp-connection-property-p (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil) "login-args")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "login-args" undef)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: undef
| | | | | | | | | | | 12 <- tramp-connection-property-p: nil
| | | | | | | | | | 11 <- tramp-get-method-parameter: (("-u" "%u") ("-s") (=
"-H") ("-p" "P\"\"a\"\"s\"\"s\"\"w\"\"o\"\"r\"\"d\"\":") ("%l"))
| | | | | | | | | 10 <- tramp-compute-multi-hops: ((tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | 10 -> (tramp-ssh-controlmaster-options (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-method-parameter (tramp-file-name "sud=
o" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) n=
il "/etc/rc.conf" nil) tramp-login-args)
| | | | | | | | | | | 12 -> (tramp-connection-property-p (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil) "login-args")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "login-args" undef)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: undef
| | | | | | | | | | | 12 <- tramp-connection-property-p: nil
| | | | | | | | | | 11 <- tramp-get-method-parameter: (("-u" "%u") ("-s") (=
"-H") ("-p" "P\"\"a\"\"s\"\"s\"\"w\"\"o\"\"r\"\"d\"\":") ("%l"))
| | | | | | | | | 10 <- tramp-ssh-controlmaster-options: ""
| | | | | | | | | 10 -> (tramp-get-sh-extra-args "/bin/sh")
| | | | | | | | | 10 <- tramp-get-sh-extra-args: nil
| | | | | | | | | 10 -> (tramp-get-connection-name (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-connection-property (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | 11 <- tramp-get-connection-property: nil
| | | | | | | | | | 11 -> (tramp-buffer-name (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-file-name-user-domain (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-user-domain: #("root" 0 4 (tram=
p-default t))
| | | | | | | | | | | 12 -> (tramp-file-name-host-port (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-host-port: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | 11 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" =
12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 <- tramp-get-connection-name: #("*tramp/sudo root@sush=
oma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 -> (tramp-get-connection-buffer (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 -> (tramp-get-connection-property (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil) "process-buffer" nil)
| | | | | | | | | | 11 <- tramp-get-connection-property: nil
| | | | | | | | | | 11 -> (tramp-get-buffer (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil) nil)
| | | | | | | | | | | 12 -> (tramp-buffer-name (tramp-file-name "sudo" #("r=
oot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/et=
c/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-file-name-user-domain (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-user-domain: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | 13 -> (tramp-file-name-host-port (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 <- tramp-file-name-host-port: #("sushoma" 0 7 (t=
ramp-default t))
| | | | | | | | | | | 12 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*=
" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-buffer: #<buffer *tramp/sudo root@susho=
ma*>
| | | | | | | | | 10 <- tramp-get-connection-buffer: #<buffer *tramp/sudo r=
oot@sushoma*>
| | | | | | | | | 10 -> (tramp-barf-if-no-shell-prompt #<process *tramp/sud=
o root@sushoma*> 10 "Couldn't find local shell prompt for %s" "/bin/sh")
| | | | | | | | | | 11 -> (tramp-wait-for-regexp #<process *tramp/sudo root=
@sushoma*> 10 "\\(^[^#$%>
]*[#$%>] *\\|\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\|\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\|\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*>)
| | | | | | | | | | | 12 <- tramp-accept-process-output: t
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\|\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\|\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | 11 <- tramp-wait-for-regexp: 1
| | | | | | | | | 10 <- tramp-barf-if-no-shell-prompt: 1
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-login-program)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "login-program")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "login-program" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: "sudo"
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-login-args)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "login-args")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "login-args" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: (("-u" "%u") ("-s") ("-=
H") ("-p" "P\"\"a\"\"s\"\"s\"\"w\"\"o\"\"r\"\"d\"\":") ("%l"))
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-remote-shell)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "remote-shell")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "remote-shell" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: "/bin/sh"
| | | | | | | | | 10 -> (tramp-get-sh-extra-args "/bin/sh")
| | | | | | | | | 10 <- tramp-get-sh-extra-args: nil
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-async-args)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "async-args")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "async-args" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: nil
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-connection-timeout)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "connection-timeout")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "connection-timeout" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: 10
| | | | | | | | | 10 -> (tramp-buffer-name (tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil))
| | | | | | | | | | 11 -> (tramp-file-name-user-domain (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | 11 -> (tramp-file-name-host-port (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp=
-default t))
| | | | | | | | | 10 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12=
 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 -> (tramp-get-connection-property #<process *tramp/sud=
o root@sushoma*> "temp-file" undef)
| | | | | | | | | 10 <- tramp-get-connection-property: undef
| | | | | | | | | 10 -> (tramp-buffer-name (tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil))
| | | | | | | | | | 11 -> (tramp-file-name-user-domain (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-user-domain: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | 11 -> (tramp-file-name-host-port (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil))
| | | | | | | | | | 11 <- tramp-file-name-host-port: #("sushoma" 0 7 (tramp=
-default t))
| | | | | | | | | 10 <- tramp-buffer-name: #("*tramp/sudo root@sushoma*" 12=
 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | 10 -> (tramp-set-connection-property #<process *tramp/sud=
o root@sushoma*> "temp-file" "/tmp/tramp.ovnrkb")
| | | | | | | | | 10 <- tramp-set-connection-property: "/tmp/tramp.ovnrkb"
| | | | | | | | | 10 -> (tramp-set-connection-property #<process *tramp/sud=
o root@sushoma*> "password-vector" (tramp-file-name "sudo" #("root" 0 4 (tr=
amp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil nil nil))
| | | | | | | | | 10 <- tramp-set-connection-property: (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil nil nil)
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-session-timeout)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "session-timeout")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "session-timeout" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: 300
| | | | | | | | | 10 -> (tramp-get-method-parameter (tramp-file-name "sudo"=
 #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil=
 "/etc/rc.conf" nil) tramp-session-timeout)
| | | | | | | | | | 11 -> (tramp-connection-property-p (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil) "session-timeout")
| | | | | | | | | | | 12 -> (tramp-get-connection-property (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil) "session-timeout" undef)
| | | | | | | | | | | 12 <- tramp-get-connection-property: undef
| | | | | | | | | | 11 <- tramp-connection-property-p: nil
| | | | | | | | | 10 <- tramp-get-method-parameter: 300
| | | | | | | | | 10 -> (tramp-set-connection-property #<process *tramp/sud=
o root@sushoma*> "session-timeout" 300)
| | | | | | | | | 10 <- tramp-set-connection-property: 300
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-delete-temp-file-function)
| | | | | | | | | 10 <- tramp-delete-temp-file-function: nil
| | | | | | | | | 10 -> (tramp-send-command (tramp-file-name "sudo" #("root=
" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/r=
c.conf" nil) #("exec sudo -u root -s -H -p P\"\"a\"\"s\"\"s\"\"w\"\"o\"\"r\=
"\"d\"\": /bin/sh " 13 17 (tramp-default t)) t t)
| | | | | | | | | | 11 -> (tramp-get-connection-process (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-get-connection-name (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-buffer-name (tramp-file-name "sudo" #(=
"root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/=
etc/rc.conf" nil))
| | | | | | | | | | | | | 14 -> (tramp-file-name-user-domain (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-user-domain: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | 14 -> (tramp-file-name-host-port (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-host-port: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | 13 <- tramp-buffer-name: #("*tramp/sudo root@sushom=
a*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 <- tramp-get-connection-name: #("*tramp/sudo root@=
sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-connection-process: #<process *tramp/su=
do root@sushoma*>
| | | | | | | | | | 11 -> (tramp-get-connection-property #<process *tramp/s=
udo root@sushoma*> "remote-echo" nil)
| | | | | | | | | | 11 <- tramp-get-connection-property: nil
| | | | | | | | | | 11 -> (tramp-send-string (tramp-file-name "sudo" #("roo=
t" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/=
rc.conf" nil) #("exec sudo -u root -s -H -p P\"\"a\"\"s\"\"s\"\"w\"\"o\"\"r=
\"\"d\"\": /bin/sh " 13 17 (tramp-default t)))
| | | | | | | | | | | 12 -> (tramp-get-connection-process (tramp-file-name =
"sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t=
)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-name (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 -> (tramp-get-connection-property (tramp-file-=
name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defa=
ult t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | | | 14 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | 14 -> (tramp-buffer-name (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 -> (tramp-file-name-user-domain (tramp-file-=
name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defa=
ult t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 <- tramp-file-name-user-domain: #("root" 0 4=
 (tramp-default t))
| | | | | | | | | | | | | | 15 -> (tramp-file-name-host-port (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 <- tramp-file-name-host-port: #("sushoma" 0 =
7 (tramp-default t))
| | | | | | | | | | | | | 14 <- tramp-buffer-name: #("*tramp/sudo root@sush=
oma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | 13 <- tramp-get-connection-name: #("*tramp/sudo roo=
t@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 <- tramp-get-connection-process: #<process *tramp/=
sudo root@sushoma*>
| | | | | | | | | | | 12 -> (tramp-get-connection-property #<process *tramp=
/sudo root@sushoma*> "chunksize" nil)
| | | | | | | | | | | 12 <- tramp-get-connection-property: nil
| | | | | | | | | | | 12 -> (tramp-set-connection-property #<process *tramp=
/sudo root@sushoma*> "last-cmd-time" (24127 8689 876367 256000))
| | | | | | | | | | | 12 <- tramp-set-connection-property: (24127 8689 8763=
67 256000)
| | | | | | | | | | | 12 -> (tramp-get-connection-buffer (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "process-buffer" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-buffer (tramp-file-name "sudo" #("=
root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/e=
tc/rc.conf" nil) nil)
| | | | | | | | | | | | | 14 -> (tramp-buffer-name (tramp-file-name "sudo" =
#("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil =
"/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 -> (tramp-file-name-user-domain (tramp-file-=
name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defa=
ult t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 <- tramp-file-name-user-domain: #("root" 0 4=
 (tramp-default t))
| | | | | | | | | | | | | | 15 -> (tramp-file-name-host-port (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | 15 <- tramp-file-name-host-port: #("sushoma" 0 =
7 (tramp-default t))
| | | | | | | | | | | | | 14 <- tramp-buffer-name: #("*tramp/sudo root@sush=
oma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | 13 <- tramp-get-buffer: #<buffer *tramp/sudo root@s=
ushoma*>
| | | | | | | | | | | 12 <- tramp-get-connection-buffer: #<buffer *tramp/su=
do root@sushoma*>
| | | | | | | | | | 11 <- tramp-send-string: nil
| | | | | | | | | 10 <- tramp-send-command: nil
| | | | | | | | | 10 -> (tramp-process-actions #<process *tramp/sudo root@s=
ushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sus=
homa" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil) 1 ((tramp-login-prompt=
-regexp tramp-action-login) (tramp-password-prompt-regexp tramp-action-pass=
word) (tramp-wrong-passwd-regexp tramp-action-permission-denied) (shell-pro=
mpt-pattern tramp-action-succeed) (tramp-shell-prompt-pattern tramp-action-=
succeed) (tramp-yesno-prompt-regexp tramp-action-yesno) (tramp-yn-prompt-re=
gexp tramp-action-yn) (tramp-terminal-prompt-regexp tramp-action-terminal) =
(tramp-antispoof-regexp tramp-action-confirm-message) (tramp-process-alive-=
regexp tramp-action-process-alive)) 10)
| | | | | | | | | | 11 -> (tramp-get-connection-property #<process *tramp/s=
udo root@sushoma*> "password-vector" (tramp-file-name "sudo" #("root" 0 4 (=
tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf"=
 nil))
| | | | | | | | | | 11 <- tramp-get-connection-property: (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil nil nil)
| | | | | | | | | | 11 -> (tramp-set-connection-property (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil nil nil) "first-password-request" "site-start")
| | | | | | | | | | 11 <- tramp-set-connection-property: "site-start"
| | | | | | | | | | 11 -> (tramp-process-one-action #<process *tramp/sudo r=
oot@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #=
("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil) ((tramp-login-pro=
mpt-regexp tramp-action-login) (tramp-password-prompt-regexp tramp-action-p=
assword) (tramp-wrong-passwd-regexp tramp-action-permission-denied) (shell-=
prompt-pattern tramp-action-succeed) (tramp-shell-prompt-pattern tramp-acti=
on-succeed) (tramp-yesno-prompt-regexp tramp-action-yesno) (tramp-yn-prompt=
-regexp tramp-action-yn) (tramp-terminal-prompt-regexp tramp-action-termina=
l) (tramp-antispoof-regexp tramp-action-confirm-message) (tramp-process-ali=
ve-regexp tramp-action-process-alive)))
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(.*\\(user\\|login\\)\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(.*\\(user\\|login\\)=
\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)=
a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\=
\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(\\(?:adgangsko=
de\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|e=
sl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\=
(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahit=
za\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)=
\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(Connection \\(?:\\(?:clo\\|refu\\)sed\\)\\|Host key=
 verification failed\\.\\|Login \\(?:[Ii]ncorrect\\)\\|N\\(?:ame or service=
 not known\\|o supported authentication methods left to try!\\)\\|Permissio=
n denied\\|\\(?:Sorry, try again\\|Timeout, server not responding\\)\\.\\).=
*\\|^.*\\(Received signal [0-9]+\\).*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(Connection \\(=
?:\\(?:clo\\|refu\\)sed\\)\\|Host key verification failed\\.\\|Login \\(?:[=
Ii]ncorrect\\)\\|N\\(?:ame or service not known\\|o supported authenticatio=
n methods left to try!\\)\\|Permission denied\\|\\(?:Sorry, try again\\|Tim=
eout, server not responding\\)\\.\\).*\\|^.*\\(Received signal [0-9]+\\).*\=
\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(?:^\\|=0D\\)[^]#$=
%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(Are you sure you want to continue connecting (yes/no\\=
(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(Are you sure you =
want to continue connecting (yes/no\\(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(\\(?:Store key in cache\\? (y/\\|Update cached key\\? =
(y/n, Return cancels connectio\\)n)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(\\(?:Store key in=
 cache\\? (y/\\|Update cached key\\? (y/n, Return cancels connectio\\)n)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(TERM =3D (.*)\\|Terminal type\\? \\[.*\\]\\)\\s-*\\)\\=
'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(TERM =3D (.*)\\|T=
erminal type\\? \\[.*\\]\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(Access granted\\. Press Return to begin session\\. \\)\\'=
")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(Access granted\\. Pr=
ess Return to begin session\\. \\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | | 12 -> (tramp-action-process-alive #<process *tramp/su=
do root@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-action-process-alive: nil
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(.*\\(user\\|login\\)\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(.*\\(user\\|login\\)=
\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)=
a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\=
\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(\\(?:adgangsko=
de\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|e=
sl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\=
(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahit=
za\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)=
\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(Connection \\(?:\\(?:clo\\|refu\\)sed\\)\\|Host key=
 verification failed\\.\\|Login \\(?:[Ii]ncorrect\\)\\|N\\(?:ame or service=
 not known\\|o supported authentication methods left to try!\\)\\|Permissio=
n denied\\|\\(?:Sorry, try again\\|Timeout, server not responding\\)\\.\\).=
*\\|^.*\\(Received signal [0-9]+\\).*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(Connection \\(=
?:\\(?:clo\\|refu\\)sed\\)\\|Host key verification failed\\.\\|Login \\(?:[=
Ii]ncorrect\\)\\|N\\(?:ame or service not known\\|o supported authenticatio=
n methods left to try!\\)\\|Permission denied\\|\\(?:Sorry, try again\\|Tim=
eout, server not responding\\)\\.\\).*\\|^.*\\(Received signal [0-9]+\\).*\=
\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(?:^\\|=0D\\)[^]#$=
%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(Are you sure you want to continue connecting (yes/no\\=
(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(Are you sure you =
want to continue connecting (yes/no\\(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(\\(?:Store key in cache\\? (y/\\|Update cached key\\? =
(y/n, Return cancels connectio\\)n)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(\\(?:Store key in=
 cache\\? (y/\\|Update cached key\\? (y/n, Return cancels connectio\\)n)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(TERM =3D (.*)\\|Terminal type\\? \\[.*\\]\\)\\s-*\\)\\=
'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(TERM =3D (.*)\\|T=
erminal type\\? \\[.*\\]\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(Access granted\\. Press Return to begin session\\. \\)\\'=
")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(Access granted\\. Pr=
ess Return to begin session\\. \\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | | 12 -> (tramp-action-process-alive #<process *tramp/su=
do root@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-action-process-alive: nil
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(.*\\(user\\|login\\)\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(.*\\(user\\|login\\)=
\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)=
a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\=
\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(\\(?:adgangsko=
de\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|e=
sl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\=
(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahit=
za\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)=
\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(Connection \\(?:\\(?:clo\\|refu\\)sed\\)\\|Host key=
 verification failed\\.\\|Login \\(?:[Ii]ncorrect\\)\\|N\\(?:ame or service=
 not known\\|o supported authentication methods left to try!\\)\\|Permissio=
n denied\\|\\(?:Sorry, try again\\|Timeout, server not responding\\)\\.\\).=
*\\|^.*\\(Received signal [0-9]+\\).*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(Connection \\(=
?:\\(?:clo\\|refu\\)sed\\)\\|Host key verification failed\\.\\|Login \\(?:[=
Ii]ncorrect\\)\\|N\\(?:ame or service not known\\|o supported authenticatio=
n methods left to try!\\)\\|Permission denied\\|\\(?:Sorry, try again\\|Tim=
eout, server not responding\\)\\.\\).*\\|^.*\\(Received signal [0-9]+\\).*\=
\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(?:^\\|=0D\\)[^]#$=
%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(Are you sure you want to continue connecting (yes/no\\=
(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(Are you sure you =
want to continue connecting (yes/no\\(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(\\(?:Store key in cache\\? (y/\\|Update cached key\\? =
(y/n, Return cancels connectio\\)n)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(\\(?:Store key in=
 cache\\? (y/\\|Update cached key\\? (y/n, Return cancels connectio\\)n)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(TERM =3D (.*)\\|Terminal type\\? \\[.*\\]\\)\\s-*\\)\\=
'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(TERM =3D (.*)\\|T=
erminal type\\? \\[.*\\]\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(Access granted\\. Press Return to begin session\\. \\)\\'=
")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(Access granted\\. Pr=
ess Return to begin session\\. \\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | | 12 -> (tramp-action-process-alive #<process *tramp/su=
do root@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-action-process-alive: nil
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(.*\\(user\\|login\\)\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(.*\\(user\\|login\\)=
\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)=
a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\=
\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(\\(?:adgangsko=
de\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|e=
sl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\=
(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahit=
za\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)=
\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(Connection \\(?:\\(?:clo\\|refu\\)sed\\)\\|Host key=
 verification failed\\.\\|Login \\(?:[Ii]ncorrect\\)\\|N\\(?:ame or service=
 not known\\|o supported authentication methods left to try!\\)\\|Permissio=
n denied\\|\\(?:Sorry, try again\\|Timeout, server not responding\\)\\.\\).=
*\\|^.*\\(Received signal [0-9]+\\).*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(Connection \\(=
?:\\(?:clo\\|refu\\)sed\\)\\|Host key verification failed\\.\\|Login \\(?:[=
Ii]ncorrect\\)\\|N\\(?:ame or service not known\\|o supported authenticatio=
n methods left to try!\\)\\|Permission denied\\|\\(?:Sorry, try again\\|Tim=
eout, server not responding\\)\\.\\).*\\|^.*\\(Received signal [0-9]+\\).*\=
\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^[^#$%>
]*[#$%>] *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(?:^\\|=0D\\)[^]#$%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(?:^\\|=0D\\)[^]#$=
%>
]*#?[]#$%>] *\\(=1B\\[[0-9;]*[a-zA-Z] *\\)*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(Are you sure you want to continue connecting (yes/no\\=
(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(Are you sure you =
want to continue connecting (yes/no\\(?:\\(?:/\\[fingerprint]\\)?)\\?\\)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(\\(?:Store key in cache\\? (y/\\|Update cached key\\? =
(y/n, Return cancels connectio\\)n)\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(\\(?:Store key in=
 cache\\? (y/\\|Update cached key\\? (y/n, Return cancels connectio\\)n)\\)=
\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\(TERM =3D (.*)\\|Terminal type\\? \\[.*\\]\\)\\s-*\\)\\=
'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\(TERM =3D (.*)\\|T=
erminal type\\? \\[.*\\]\\)\\s-*\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(Access granted\\. Press Return to begin session\\. \\)\\'=
")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(Access granted\\. Pr=
ess Return to begin session\\. \\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | | 12 -> (tramp-action-process-alive #<process *tramp/su=
do root@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-action-process-alive: nil
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: t
| | | | | | | | | | | 12 -> (tramp-accept-process-output #<process *tramp/s=
udo root@sushoma*> 0)
| | | | | | | | | | | 12 <- tramp-accept-process-output: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(.*\\(user\\|login\\)\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(.*\\(user\\|login\\)=
\\( .*\\)?: *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: nil
| | | | | | | | | | | 12 <- tramp-check-for-regexp: nil
| | | | | | | | | | | 12 -> (tramp-check-for-regexp #<process *tramp/sudo r=
oot@sushoma*> "\\(^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)=
a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\=
\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-get-connection-property #<process *tra=
mp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-search-regexp "\\(^.*\\(\\(?:adgangsko=
de\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|e=
sl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\=
(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahit=
za\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)=
\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *\\)\\'")
| | | | | | | | | | | | 13 <- tramp-search-regexp: 1
| | | | | | | | | | | 12 <- tramp-check-for-regexp: 1
| | | | | | | | | | | 12 -> (tramp-action-password #<process *tramp/sudo ro=
ot@sushoma*> (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #(=
"sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "first-password-request" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: "site-start"
| | | | | | | | | | | | 13 -> (tramp-check-for-regexp #<process *tramp/sudo=
 root@sushoma*> "^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a=
\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\=
|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *")
| | | | | | | | | | | | | 14 -> (tramp-get-connection-property #<process *t=
ramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | 14 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | 14 -> (tramp-get-connection-property #<process *t=
ramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | 14 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | 14 -> (tramp-search-regexp "^.*\\(\\(?:adgangskod=
e\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|es=
l\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(=
?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitz=
a\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\=
\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=
=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=
=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=
=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=
=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=
=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=
=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=
=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=
=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=
=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=
=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=
=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=
=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=
=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=
=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=
=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=
=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=
=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=
=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *")
| | | | | | | | | | | | | 14 <- tramp-search-regexp: 1
| | | | | | | | | | | | 13 <- tramp-check-for-regexp: 1
| | | | | | | | | | | | 13 -> (tramp-read-passwd #<process *tramp/sudo root=
@sushoma*>)
| | | | | | | | | | | | | 14 -> (tramp-get-connection-property #<process *t=
ramp/sudo root@sushoma*> "password-vector" (tramp-file-name "sudo" #("root"=
 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc=
.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-get-connection-property: (tramp-file-=
name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defa=
ult t)) nil nil nil)
| | | | | | | | | | | | | 14 -> (tramp-make-tramp-file-name (tramp-file-nam=
e "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default=
 t)) nil nil nil) noloc nohop)
| | | | | | | | | | | | | 14 <- tramp-make-tramp-file-name: #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | 14 -> (tramp-check-for-regexp #<process *tramp/su=
do root@sushoma*> "^.*\\(\\(?:adgangskode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\=
)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3=
\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=
=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahitza\\|s\\(?: phrase\\|code\\|ord\\|ph=
rase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\)\\|s\\(?:alasana\\|enha\\|lapta=C5=
=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=
=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=
=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=
=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=
=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=
=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=
=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=
=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=
=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=
=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=
=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=
=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=
=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=
=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=
=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=
=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=
=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=
=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=
=EC=95=94=ED=98=B8\\)\\).*:=00? *")
| | | | | | | | | | | | | | 15 -> (tramp-get-connection-property #<process =
*tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | 15 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | | 15 -> (tramp-get-connection-property #<process =
*tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | 15 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | | 15 -> (tramp-search-regexp "^.*\\(\\(?:adgangsk=
ode\\|contrase\\(?:\\(?:ny\\|=C3=B1\\)a\\)\\|geslo\\|h\\(?:\\(?:as=C5=82\\|=
esl\\)o\\)\\|iphasiwedi\\|jelsz=C3=B3\\|l\\(?:ozinka\\|=C3=B6senord\\)\\|m\=
\(?:ot de passe\\|=E1=BA=ADt kh=E1=BA=A9u\\)\\|p\\(?:a\\(?:rola\\|s\\(?:ahi=
tza\\|s\\(?: phrase\\|code\\|ord\\|phrase\\|wor[dt]\\)\\|vorto\\)\\)\\|in\\=
)\\|s\\(?:alasana\\|enha\\|lapta=C5=BEodis\\)\\|wachtwoord\\|=D0=BB=D0=BE=
=D0=B7=D0=B8=D0=BD=D0=BA=D0=B0\\|=D0=BF=D0=B0=D1=80=D0=BE=D0=BB=D1=8C\\|=D7=
=A1=D7=A1=D7=9E=D7=94\\|=D9=83=D9=84=D9=85=D8=A9 =D8=A7=D9=84=D8=B3=D8=B1\\=
|=E0=A4=97=E0=A5=81=E0=A4=AA=E0=A5=8D=E0=A4=A4=E0=A4=B6=E0=A4=AC=E0=A5=8D=
=E0=A4=A6\\|=E0=A4=B6=E0=A4=AC=E0=A5=8D=E0=A4=A6=E0=A4=95=E0=A5=82=E0=A4=9F=
\\|=E0=A6=97=E0=A7=81=E0=A6=AA=E0=A7=8D=E0=A6=A4=E0=A6=B6=E0=A6=AC=E0=A7=8D=
=E0=A6=A6\\|=E0=A6=AA=E0=A6=BE=E0=A6=B8=E0=A6=93=E0=A7=9F=E0=A6=BE=E0=A6=B0=
=E0=A7=8D=E0=A6=A1\\|=E0=A8=AA=E0=A8=BE=E0=A8=B8=E0=A8=B5=E0=A8=B0=E0=A8=A1=
\\|=E0=AA=AA=E0=AA=BE=E0=AA=B8=E0=AA=B5=E0=AA=B0=E0=AB=8D=E0=AA=A1\\|=E0=AC=
=AA=E0=AD=8D=E0=AC=B0=E0=AC=AC=E0=AD=87=E0=AC=B6 =E0=AC=B8=E0=AC=99=E0=AD=
=8D=E0=AC=95=E0=AD=87=E0=AC=A4\\|=E0=AE=95=E0=AE=9F=E0=AE=B5=E0=AF=81=E0=AE=
=9A=E0=AF=8D=E0=AE=9A=E0=AF=8A=E0=AE=B2=E0=AF=8D\\|=E0=B0=B8=E0=B0=82=E0=B0=
=95=E0=B1=87=E0=B0=A4=E0=B0=AA=E0=B0=A6=E0=B0=AE=E0=B1=81\\|=E0=B2=97=E0=B3=
=81=E0=B2=AA=E0=B3=8D=E0=B2=A4=E0=B2=AA=E0=B2=A6\\|=E0=B4=85=E0=B4=9F=E0=B4=
=AF=E0=B4=BE=E0=B4=B3=E0=B4=B5=E0=B4=BE=E0=B4=95=E0=B5=8D=E0=B4=95=E0=B5=8D=
\\|=E0=B6=BB=E0=B7=84=E0=B7=83=E0=B7=8A=E0=B6=B4=E0=B6=AF=E0=B6=BA\\|=E1=9E=
=96=E1=9E=B6=E1=9E=80=E1=9F=92=E1=9E=99=E1=9E=9F=E1=9E=98=E1=9F=92=E1=9E=84=
=E1=9E=B6=E1=9E=8F=E1=9F=8B\\|=E3=83=91=E3=82=B9=E3=83=AF=E3=83=BC=E3=83=89=
\\|=E5=AF=86[=E7=A0=81=E7=A2=BC]\\|=EC=95=94=ED=98=B8\\)\\).*:=00? *")
| | | | | | | | | | | | | | 15 <- tramp-search-regexp: 1
| | | | | | | | | | | | | 14 <- tramp-check-for-regexp: 1
| | | | | | | | | | | | | 14 -> (tramp-dissect-file-name #("/sudo:root@sush=
oma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | 15 -> (tramp-tramp-file-p #("/sudo:root@sushoma=
:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | 15 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | 15 -> (tramp-find-method "sudo" #("root" 0 4 (t=
ramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | 15 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | 15 -> (tramp-find-user "sudo" #("root" 0 4 (tra=
mp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | 15 <- tramp-find-user: #("root" 0 4 (tramp-defa=
ult t))
| | | | | | | | | | | | | | 15 -> (tramp-find-host "sudo" #("root" 0 4 (tra=
mp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | 15 <- tramp-find-host: #("sushoma" 0 7 (tramp-d=
efault t))
| | | | | | | | | | | | | 14 <- tramp-dissect-file-name: (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "" nil)
| | | | | | | | | | | | | 14 -> (tramp-get-connection-property (tramp-file-=
name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defa=
ult t)) nil "" nil) "first-password-request" nil)
| | | | | | | | | | | | | 14 <- tramp-get-connection-property: "site-start"
| | | | | | | | | | | | | 14 -> (auth-source-search :max 1 :user #("root" 0=
 4 (tramp-default t)) :host #("sushoma" 0 7 (tramp-default t)) :port "sudo"=
 :require (:secret :user) :create t)
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "~/.authinfo" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-=
default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "~/.authinfo" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18=
 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "~/.auth=
info"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "~/.authinfo")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("~/.authinfo" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tram=
p-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade/.a=
uthinfo"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade/.au=
thinfo"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tr=
amp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 1=
1 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "~/.auth=
info.gpg"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "~/.authinfo.gpg")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (=
tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade/.a=
uthinfo.gpg"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade/.au=
thinfo.gpg"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tr=
amp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 1=
1 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "~/.auth=
info.gpg"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "~/.authinfo.gpg")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("~/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (=
tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade/.a=
uthinfo.gpg"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade/.au=
thinfo.gpg"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/usr/local/share/emacs/28.0.50/lisp/epa-file.elc" #("/sudo:root@sushoma:"=
 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/usr/local/share/emacs/28.0.50/lisp/epa-file.elc" #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/usr/lo=
cal/share/emacs/28.0.50/lisp/epa-file.elc"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/usr/local/share/e=
macs/28.0.50/lisp/epa-file.elc")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/usr/local/share/emacs/28.0.50/lisp/epa-file.elc" #("/sudo:root@sushoma=
:" 6 10 (tramp-default t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/usr/local/sha=
re/emacs/28.0.50/lisp/epa-file.elc"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/usr/local/shar=
e/emacs/28.0.50/lisp/epa-file.elc"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/usr/local/share/emacs/28.0.50/lisp/epa.elc" #("/sudo:root@sushoma:" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/usr/local/share/emacs/28.0.50/lisp/epa.elc" #("/sudo:root@sushom=
a:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/usr/lo=
cal/share/emacs/28.0.50/lisp/epa.elc"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/usr/local/share/e=
macs/28.0.50/lisp/epa.elc")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/usr/local/share/emacs/28.0.50/lisp/epa.elc" #("/sudo:root@sushoma:" 6 =
10 (tramp-default t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/usr/local/sha=
re/emacs/28.0.50/lisp/epa.elc"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/usr/local/shar=
e/emacs/28.0.50/lisp/epa.elc"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/usr/local/share/emacs/28.0.50/lisp/epg.elc" #("/sudo:root@sushoma:" 6 10=
 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/usr/local/share/emacs/28.0.50/lisp/epg.elc" #("/sudo:root@sushom=
a:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/usr/lo=
cal/share/emacs/28.0.50/lisp/epg.elc"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/usr/local/share/e=
macs/28.0.50/lisp/epg.elc")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/usr/local/share/emacs/28.0.50/lisp/epg.elc" #("/sudo:root@sushoma:" 6 =
10 (tramp-default t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/usr/local/sha=
re/emacs/28.0.50/lisp/epg.elc"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/usr/local/shar=
e/emacs/28.0.50/lisp/epg.elc"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/usr/local/share/emacs/28.0.50/lisp/epg-config.elc" #("/sudo:root@sushoma=
:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/usr/local/share/emacs/28.0.50/lisp/epg-config.elc" #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/usr/lo=
cal/share/emacs/28.0.50/lisp/epg-config.elc"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/usr/local/share/e=
macs/28.0.50/lisp/epg-config.elc")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/usr/local/share/emacs/28.0.50/lisp/epg-config.elc" #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/usr/local/sha=
re/emacs/28.0.50/lisp/epg-config.elc"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/usr/local/shar=
e/emacs/28.0.50/lisp/epg-config.elc"
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-gpg-program))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-gpgsm-program))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-gpgconf-program))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-gpg-home-directory))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-passphrase-coding-system))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-pinentry-mode))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epg-debug))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/usr/local/share/emacs/28.0.50/lisp/emacs-lisp/derived.elc" #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/usr/local/share/emacs/28.0.50/lisp/emacs-lisp/derived.elc" #("/s=
udo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/usr/lo=
cal/share/emacs/28.0.50/lisp/emacs-lisp/derived.elc"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/usr/local/share/e=
macs/28.0.50/lisp/emacs-lisp/derived.elc")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/usr/local/share/emacs/28.0.50/lisp/emacs-lisp/derived.elc" #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/usr/local/sha=
re/emacs/28.0.50/lisp/emacs-lisp/derived.elc"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/usr/local/shar=
e/emacs/28.0.50/lisp/emacs-lisp/derived.elc"
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-replace-original-text))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-popup-info-window))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-info-window-height))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-mail-aliases))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-validity-face-alist))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-file-cache-passphrase-for-symmetric-encryption))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-signal-hook-function void-variable=
 (epa-file-select-keys))
| | | | | | | | | | | | | | 15 <- tramp-signal-hook-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/home/slade/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default t)=
 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/home/slade/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-de=
fault t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/home/s=
lade/.authinfo.gpg"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/home/slade/.authi=
nfo.gpg")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/home/slade/.authinfo.gpg" #("/sudo:root@sushoma:" 6 10 (tramp-default =
t) 11 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade/.a=
uthinfo.gpg"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade/.au=
thinfo.gpg"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler unhandled-file-n=
ame-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-d=
efault t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation unhandle=
d-file-name-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 =
(tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-replace-environment-variables #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-replace-environment-variables: #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-dissect-file-name #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-find-method "sudo" #("root" 0 =
4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | 17 -> (tramp-find-user "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-user: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-find-host "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-host: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-dissect-file-name: (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil)
| | | | | | | | | | | | | | | 16 -> (tramp-find-foreign-file-name-handler #=
("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)) unha=
ndled-file-name-directory)
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-adb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-adb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-ftp-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-ftp-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-gvfs-file-name-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-gvfs-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-rclone-file-name-p #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-rclone-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-smb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-smb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-sudoedit-file-name-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-sudoedit-file-name-p: nil
| | | | | | | | | | | | | | | 16 <- tramp-find-foreign-file-name-handler: t=
ramp-sh-file-name-handler
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-sh-file-name-handler unhandled-f=
ile-name-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tr=
amp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-sh-file-name-handler: nil
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p #1=3D(tramp-fi=
le-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-d=
efault t)) nil "/etc/rc.conf" nil) #1#)
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)=
))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-de=
fault t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "~"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "~")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default =
t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade"
| | | | | | | | | | | | | | 15 -> (tramp-delete-temp-file-function)
| | | | | | | | | | | | | | 15 <- tramp-delete-temp-file-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/dev/fd/0" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-de=
fault t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/dev/fd/0" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (=
tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/dev/fd=
/0"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/dev/fd/0")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/dev/fd/0" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-=
default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/dev/fd/0"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/dev/fd/0"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler unhandled-file-n=
ame-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-d=
efault t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation unhandle=
d-file-name-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 =
(tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-replace-environment-variables #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-replace-environment-variables: #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-dissect-file-name #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-find-method "sudo" #("root" 0 =
4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | 17 -> (tramp-find-user "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-user: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-find-host "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-host: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-dissect-file-name: (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil)
| | | | | | | | | | | | | | | 16 -> (tramp-find-foreign-file-name-handler #=
("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)) unha=
ndled-file-name-directory)
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-adb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-adb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-ftp-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-ftp-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-gvfs-file-name-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-gvfs-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-rclone-file-name-p #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-rclone-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-smb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-smb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-sudoedit-file-name-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-sudoedit-file-name-p: nil
| | | | | | | | | | | | | | | 16 <- tramp-find-foreign-file-name-handler: t=
ramp-sh-file-name-handler
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-sh-file-name-handler unhandled-f=
ile-name-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tr=
amp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-sh-file-name-handler: nil
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p #1=3D(tramp-fi=
le-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-d=
efault t)) nil "/etc/rc.conf" nil) #1#)
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)=
))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-de=
fault t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "~"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "~")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("~" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default =
t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/home/slade"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/home/slade"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "." #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)=
))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "." #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-de=
fault t)))
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-replace-environment-variables #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-replace-environment-variables: #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | 16 -> (tramp-dissect-file-name #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-find-method "sudo" #("root" 0 =
4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | 17 -> (tramp-find-user "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-user: #("root" 0 4 (tramp-=
default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-find-host "sudo" #("root" 0 4 =
(tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-find-host: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-dissect-file-name: (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil)
| | | | | | | | | | | | | | | 16 -> (tramp-find-foreign-file-name-handler #=
("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)) expa=
nd-file-name)
| | | | | | | | | | | | | | | | 17 -> (tramp-tramp-file-p #("/sudo:root@sus=
homa:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | 17 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | 17 -> (tramp-adb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-adb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-ftp-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-ftp-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-gvfs-file-name-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-gvfs-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-rclone-file-name-p #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-rclone-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-smb-file-name-p #("/sudo:root@=
sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-smb-file-name-p: nil
| | | | | | | | | | | | | | | | 17 -> (tramp-sudoedit-file-name-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-tramp-file-p #("/sudo:root@s=
ushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-method (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "" nil))
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | 17 <- tramp-sudoedit-file-name-p: nil
| | | | | | | | | | | | | | | 16 <- tramp-find-foreign-file-name-handler: t=
ramp-sh-file-name-handler
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) n=
il #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | | 16 -> (tramp-sh-file-name-handler expand-file=
-name "." #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-defau=
lt t)))
| | | | | | | | | | | | | | | | 17 -> (tramp-sh-handle-expand-file-name "."=
 #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | 18 -> (tramp-file-name-handler file-name-=
as-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-de=
fault t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-file-name-for-operation fi=
le-name-as-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (=
tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-file-name-for-operation: #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-replace-environment-variab=
les #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-replace-environment-variabl=
es: #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-dissect-file-name #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-tramp-file-p #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-method "sudo" #("ro=
ot" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-user "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-user: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-host "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-host: #("sushoma" 0 =
7 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-dissect-file-name: (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-foreign-file-name-han=
dler #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)=
) file-name-as-directory)
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-tramp-file-p #("/sudo:ro=
ot@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-adb-file-name-p #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-adb-file-name-p: nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-ftp-file-name-p #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-ftp-file-name-p: nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-gvfs-file-name-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-gvfs-file-name-p: nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-rclone-file-name-p #("/s=
udo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-rclone-file-name-p: nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-smb-file-name-p #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-smb-file-name-p: nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-sudoedit-file-name-p #("=
/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-tramp-file-p #("/sudo:=
root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-method "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-user "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-user: #("root" 0=
 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-find-host "sudo" #("=
root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-find-host: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-file-name-method (tram=
p-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tra=
mp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-file-name-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 <- tramp-sudoedit-file-name-p: nil
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-foreign-file-name-hand=
ler: tramp-sh-file-name-handler
| | | | | | | | | | | | | | | | | | 19 -> (tramp-file-name-equal-p (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil) (tramp-file-name "sudo" #("root" 0 4 (tramp-default=
 t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-user-domain (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-user-domain: #(=
"root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-user-domain (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-user-domain: #(=
"root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-host-port (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-host-port: #("s=
ushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-host-port (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-host-port: #("s=
ushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-sh-file-name-handler file-=
name-as-directory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tra=
mp-default t)))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-handle-file-name-as-dire=
ctory #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t=
)))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-dissect-file-name #("/=
sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)) t)
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-dissect-file-name: (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-connectable-p #("/sudo=
:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-tramp-file-p #("/sud=
o:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-dissect-file-name #(=
"/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-tramp-file-p #("/s=
udo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-find-method "sudo"=
 #("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-find-user "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-find-user: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-find-host "sudo" #=
("root" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-find-host: #("susho=
ma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-dissect-file-name: (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "" nil)
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-buffer-name (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-user-dom=
ain (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-user-doma=
in: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-host-por=
t (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "" nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-host-port=
: #("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-buffer-name: #("*tram=
p/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-connectable-p: (run ope=
n listen connect stop)
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-run-real-handler file-=
name-as-directory (""))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-run-real-handler: "./"
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-make-tramp-file-name (=
tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 =
(tramp-default t)) nil "" nil) "./")
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-make-tramp-file-name: #=
("/sudo:root@sushoma:./" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-handle-file-name-as-direc=
tory: #("/sudo:root@sushoma:./" 6 10 (tramp-default t) 11 18 (tramp-default=
 t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-sh-file-name-handler: #("/s=
udo:root@sushoma:./" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-file-name-equal-p #1=3D(tr=
amp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (t=
ramp-default t)) nil "/etc/rc.conf" nil) #1#)
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-user-domain (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-user-domain: #(=
"root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-user-domain (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-user-domain: #(=
"root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-host-port (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-host-port: #("s=
ushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-host-port (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-host-port: #("s=
ushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | | | | 18 <- tramp-file-name-handler: #("/sudo:r=
oot@sushoma:./" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | | | | | | | | 18 -> (tramp-connectable-p #("/sudo:root@=
sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-dissect-file-name #("/sudo=
:root@sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-tramp-file-p #("/sudo:ro=
ot@sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-method "sudo" #("ro=
ot" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-user "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-user: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-find-host "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-find-host: #("sushoma" 0 =
7 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-dissect-file-name: (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "./." nil)
| | | | | | | | | | | | | | | | | | 19 -> (tramp-buffer-name (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-user-domain (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-user-domain: #(=
"root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-file-name-host-port (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-file-name-host-port: #("s=
ushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-buffer-name: #("*tramp/sudo=
 root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-connectable-p: (run open list=
en connect stop)
| | | | | | | | | | | | | | | | | 18 -> (tramp-dissect-file-name #("/sudo:r=
oot@sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-tramp-file-p #("/sudo:root=
@sushoma:./." 6 10 (tramp-default t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-tramp-file-p: t
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-method "sudo" #("root=
" 0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-method: "sudo"
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-user "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-user: #("root" 0 4 (tr=
amp-default t))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-find-host "sudo" #("root" =
0 4 (tramp-default t)) #("sushoma" 0 7 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-find-host: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-dissect-file-name: (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "./." nil)
| | | | | | | | | | | | | | | | | 18 -> (tramp-run-real-handler file-name-a=
bsolute-p ("./."))
| | | | | | | | | | | | | | | | | 18 <- tramp-run-real-handler: nil
| | | | | | | | | | | | | | | | | 18 -> (tramp-get-connection-property (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "./." nil) #("~root" 1 5 (tramp-default t)) undef)
| | | | | | | | | | | | | | | | | 18 <- tramp-get-connection-property: undef
| | | | | | | | | | | | | | | | | 18 -> (tramp-shell-quote-argument #("~roo=
t" 1 5 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-unquote-shell-quote-argume=
nt #("~root" 1 5 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 <- tramp-unquote-shell-quote-argumen=
t: #("\\~root" 2 6 (tramp-default t))
| | | | | | | | | | | | | | | | | 18 <- tramp-shell-quote-argument: #("~roo=
t" 1 5 (tramp-default t))
| | | | | | | | | | | | | | | | | 18 -> (tramp-send-command (tramp-file-nam=
e "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default=
 t)) nil "./." nil) #("cd ~root && pwd" 4 8 (tramp-default t)))
| | | | | | | | | | | | | | | | | | 19 -> (tramp-maybe-open-connection (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-connectable-p (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-buffer-name (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-file-name-user-domai=
n (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-file-name-user-domain=
: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-file-name-host-port =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-file-name-host-port: =
#("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-buffer-name: #("*tramp/=
sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-connectable-p: (run open =
listen connect stop)
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-process (=
tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 =
(tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-connection-name (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil) "process-name" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-buffer-name (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-user-dom=
ain (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-user-doma=
in: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-host-por=
t (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-host-port=
: #("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-buffer-name: #("*tram=
p/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-connection-name: #(=
"*tramp/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-process: #=
<process *tramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-property =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil "./." nil) "process-name" nil)
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-property: =
nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-buffer (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-connection-propert=
y (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil) "process-buffer" nil)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-connection-property=
: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-buffer (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "./." nil) nil)
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-buffer-name (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-user-dom=
ain (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-user-doma=
in: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-host-por=
t (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-host-port=
: #("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-buffer-name: #("*tram=
p/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-buffer: #<buffer *t=
ramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-buffer: #<=
buffer *tramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-property =
#<process *tramp/sudo root@sushoma*> "last-cmd-time" 0)
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-property: =
(24127 8689 876367 256000)
| | | | | | | | | | | | | | | | | | 19 <- tramp-maybe-open-connection: nil
| | | | | | | | | | | | | | | | | | 19 -> (tramp-get-connection-process (tr=
amp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (t=
ramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-name (tra=
mp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tr=
amp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-connection-propert=
y (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil) "process-name" nil)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-connection-property=
: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-buffer-name (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-file-name-user-domai=
n (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-file-name-user-domain=
: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-file-name-host-port =
(tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7=
 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-file-name-host-port: =
#("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-buffer-name: #("*tramp/=
sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-name: #("*=
tramp/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | 19 <- tramp-get-connection-process: #<p=
rocess *tramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | 19 -> (tramp-get-connection-property #<=
process *tramp/sudo root@sushoma*> "remote-echo" nil)
| | | | | | | | | | | | | | | | | | 19 <- tramp-get-connection-property: nil
| | | | | | | | | | | | | | | | | | 19 -> (tramp-send-string (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "./." nil) #("cd ~root && pwd" 4 8 (tramp-default t)))
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-process (=
tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 =
(tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-connection-name (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil) "process-name" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-buffer-name (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-user-dom=
ain (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-user-doma=
in: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-host-por=
t (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-host-port=
: #("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-buffer-name: #("*tram=
p/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-connection-name: #(=
"*tramp/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-process: #=
<process *tramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-property =
#<process *tramp/sudo root@sushoma*> "chunksize" nil)
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-property: =
nil
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-set-connection-property =
#<process *tramp/sudo root@sushoma*> "last-cmd-time" (24127 8690 1601 58500=
0))
| | | | | | | | | | | | | | | | | | | 20 <- tramp-set-connection-property: =
(24127 8690 1601 585000)
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-get-connection-buffer (t=
ramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (=
tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-connection-propert=
y (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil) "process-buffer" nil)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-connection-property=
: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-get-buffer (tramp-file=
-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-def=
ault t)) nil "./." nil) nil)
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-buffer-name (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-user-dom=
ain (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma"=
 0 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-user-doma=
in: #("root" 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | | 23 -> (tramp-file-name-host-por=
t (tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0=
 7 (tramp-default t)) nil "./." nil))
| | | | | | | | | | | | | | | | | | | | | | 23 <- tramp-file-name-host-port=
: #("sushoma" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-buffer-name: #("*tram=
p/sudo root@sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-get-buffer: #<buffer *t=
ramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | | 20 <- tramp-get-connection-buffer: #<=
buffer *tramp/sudo root@sushoma*>
| | | | | | | | | | | | | | | | | | 19 <- tramp-send-string: nil
| | | | | | | | | | | | | | | | | | 19 -> (tramp-wait-for-output #<process =
*tramp/sudo root@sushoma*>)
| | | | | | | | | | | | | | | | | | | 20 -> (tramp-wait-for-regexp #<proces=
s *tramp/sudo root@sushoma*> nil "\\(^\\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-check-for-regexp #<pro=
cess *tramp/sudo root@sushoma*> "\\(^\\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-search-regexp "\\(^\=
\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-search-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-check-for-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-accept-process-output =
#<process *tramp/sudo root@sushoma*>)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-accept-process-output: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-check-for-regexp #<pro=
cess *tramp/sudo root@sushoma*> "\\(^\\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-search-regexp "\\(^\=
\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-search-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-check-for-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-accept-process-output =
#<process *tramp/sudo root@sushoma*>)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-accept-process-output: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-check-for-regexp #<pro=
cess *tramp/sudo root@sushoma*> "\\(^\\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-search-regexp "\\(^\=
\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-search-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-check-for-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-accept-process-output =
#<process *tramp/sudo root@sushoma*>)
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-accept-process-output: t
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-check-for-regexp #<pro=
cess *tramp/sudo root@sushoma*> "\\(^\\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-get-connection-prope=
rty #<process *tramp/sudo root@sushoma*> "check-remote-echo" nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-get-connection-proper=
ty: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-search-regexp "\\(^\=
\|=00\\)[^#$
]*///1fa3169d1845ad0c23941068e9ed9db4#\\$\\(=1B[[0-9]+n\\)?=0D?$")
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-search-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-check-for-regexp: nil
| | | | | | | | | | | | | | | | | | | | 21 -> (tramp-accept-process-output =
#<process *tramp/sudo root@sushoma*>)
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.076835 nil nil "Waiting for prompts from remote shell=
..." 1 0.2 nil]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-progress-reporter-up=
date (1 . [1581195762.0575442 nil nil #("Opening connection for root@sushom=
a using sudo..." 23 27 (tramp-default t) 28 35 (tramp-default t)) 1 0.2 nil=
]))
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-progress-reporter-upd=
ate: nil
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-signal-hook-function=
 quit nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-signal-hook-function:=
 !non-local\ exit!
| | | | | | | | | | | | | | | | | | | | | 22 -> (tramp-signal-hook-function=
 quit nil)
| | | | | | | | | | | | | | | | | | | | | 22 <- tramp-signal-hook-function:=
 !non-local\ exit!
| | | | | | | | | | | | | | | | | | | | 21 <- tramp-accept-process-output: =
!non-local\ exit!
| | | | | | | | | | | | | | | | | | | 20 <- tramp-wait-for-regexp: !non-loc=
al\ exit!
| | | | | | | | | | | | | | | | | | 19 <- tramp-wait-for-output: !non-local=
\ exit!
| | | | | | | | | | | | | | | | | 18 <- tramp-send-command: !non-local\ exi=
t!
| | | | | | | | | | | | | | | | 17 <- tramp-sh-handle-expand-file-name: !no=
n-local\ exit!
| | | | | | | | | | | | | | | 16 <- tramp-sh-file-name-handler: !non-local\=
 exit!
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-equal-p #1=3D(tramp-fi=
le-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-d=
efault t)) nil "/etc/rc.conf" nil) #1#)
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-user-domain (tramp-f=
ile-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-=
default t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-user-domain: #("root"=
 0 4 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | | 17 -> (tramp-file-name-host-port (tramp-fil=
e-name "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-de=
fault t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | | | | 17 <- tramp-file-name-host-port: #("sushoma=
" 0 7 (tramp-default t))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-equal-p: t
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: !non-local\ exit!
| | | | | | | | | | | | | | 15 -> (tramp-delete-temp-file-function)
| | | | | | | | | | | | | | 15 <- tramp-delete-temp-file-function: nil
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 =
18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-defaul=
t t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/tmp/ep=
g-outputGM1FHf"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/tmp/epg-outputGM1=
FHf")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 1=
1 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/tmp/epg-outpu=
tGM1FHf"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/tmp/epg-output=
GM1FHf"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 =
18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-defaul=
t t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/tmp/ep=
g-outputGM1FHf"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/tmp/epg-outputGM1=
FHf")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 1=
1 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/tmp/epg-outpu=
tGM1FHf"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/tmp/epg-output=
GM1FHf"
| | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name=
 "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 =
18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 -> (tramp-file-name-for-operation expand-f=
ile-name "/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-defaul=
t t) 11 18 (tramp-default t)))
| | | | | | | | | | | | | | | 16 <- tramp-file-name-for-operation: "/tmp/ep=
g-outputGM1FHf"
| | | | | | | | | | | | | | | 16 -> (tramp-tramp-file-p "/tmp/epg-outputGM1=
FHf")
| | | | | | | | | | | | | | | 16 <- tramp-tramp-file-p: nil
| | | | | | | | | | | | | | | 16 -> (tramp-run-real-handler expand-file-nam=
e ("/tmp/epg-outputGM1FHf" #("/sudo:root@sushoma:" 6 10 (tramp-default t) 1=
1 18 (tramp-default t))))
| | | | | | | | | | | | | | | 16 <- tramp-run-real-handler: "/tmp/epg-outpu=
tGM1FHf"
| | | | | | | | | | | | | | 15 <- tramp-file-name-handler: "/tmp/epg-output=
GM1FHf"
| | | | | | | | | | | | | | 15 -> (tramp-delete-temp-file-function)
| | | | | | | | | | | | | | 15 <- tramp-delete-temp-file-function: nil
| | | | | | | | | | | | | 14 <- auth-source-search: !non-local\ exit!
| | | | | | | | | | | | 13 <- tramp-read-passwd: !non-local\ exit!
| | | | | | | | | | | 12 <- tramp-action-password: !non-local\ exit!
| | | | | | | | | | 11 <- tramp-process-one-action: !non-local\ exit!
| | | | | | | | | 10 <- tramp-process-actions: !non-local\ exit!
| | | | | | | | | 10 -> (tramp-cleanup-connection (tramp-file-name "sudo" #=
("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "=
/etc/rc.conf" nil) t)
| | | | | | | | | | 11 -> (tramp-clear-passwd (tramp-file-name "sudo" #("ro=
ot" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/etc=
/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-file-name-user-domain (tramp-file-name "=
sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)=
) nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-user-domain: #("root" 0 4 (tram=
p-default t))
| | | | | | | | | | | 12 -> (tramp-file-name-host-port (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 <- tramp-file-name-host-port: #("sushoma" 0 7 (tra=
mp-default t))
| | | | | | | | | | | 12 -> (tramp-make-tramp-file-name (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil) noloc nohop)
| | | | | | | | | | | 12 <- tramp-make-tramp-file-name: #("/sudo:root@susho=
ma:" 6 10 (tramp-default t) 11 18 (tramp-default t))
| | | | | | | | | | 11 <- tramp-clear-passwd: nil
| | | | | | | | | | 11 -> (tramp-flush-directory-properties (tramp-file-nam=
e "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default=
 t)) nil "/etc/rc.conf" nil) "")
| | | | | | | | | | | 12 -> (tramp-run-real-handler directory-file-name (""=
))
| | | | | | | | | | | 12 <- tramp-run-real-handler: ""
| | | | | | | | | | | 12 -> (tramp-get-file-property (tramp-file-name "sudo=
" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) ni=
l "/etc/rc.conf" nil) "" "file-truename" nil)
| | | | | | | | | | | | 13 -> (tramp-run-real-handler directory-file-name (=
""))
| | | | | | | | | | | | 13 <- tramp-run-real-handler: ""
| | | | | | | | | | | 12 <- tramp-get-file-property: nil
| | | | | | | | | | 11 <- tramp-flush-directory-properties: nil
| | | | | | | | | | 11 -> (tramp-get-connection-process (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-get-connection-name (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-buffer-name (tramp-file-name "sudo" #(=
"root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/=
etc/rc.conf" nil))
| | | | | | | | | | | | | 14 -> (tramp-file-name-user-domain (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-user-domain: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | 14 -> (tramp-file-name-host-port (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-host-port: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | 13 <- tramp-buffer-name: #("*tramp/sudo root@sushom=
a*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 <- tramp-get-connection-name: #("*tramp/sudo root@=
sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-connection-process: #<process *tramp/su=
do root@sushoma*>
| | | | | | | | | | 11 -> (tramp-get-connection-process (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-get-connection-name (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-buffer-name (tramp-file-name "sudo" #(=
"root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/=
etc/rc.conf" nil))
| | | | | | | | | | | | | 14 -> (tramp-file-name-user-domain (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-user-domain: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | 14 -> (tramp-file-name-host-port (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-host-port: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | 13 <- tramp-buffer-name: #("*tramp/sudo root@sushom=
a*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 <- tramp-get-connection-name: #("*tramp/sudo root@=
sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-connection-process: #<process *tramp/su=
do root@sushoma*>
| | | | | | | | | | 11 -> (tramp-flush-connection-properties #<process *tra=
mp/sudo root@sushoma*>)
| | | | | | | | | | 11 <- tramp-flush-connection-properties: nil
| | | | | | | | | | 11 -> (tramp-get-connection-process (tramp-file-name "s=
udo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t))=
 nil "/etc/rc.conf" nil))
| | | | | | | | | | | 12 -> (tramp-get-connection-name (tramp-file-name "su=
do" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) =
nil "/etc/rc.conf" nil))
| | | | | | | | | | | | 13 -> (tramp-get-connection-property (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil) "process-name" nil)
| | | | | | | | | | | | 13 <- tramp-get-connection-property: nil
| | | | | | | | | | | | 13 -> (tramp-buffer-name (tramp-file-name "sudo" #(=
"root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default t)) nil "/=
etc/rc.conf" nil))
| | | | | | | | | | | | | 14 -> (tramp-file-name-user-domain (tramp-file-na=
me "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-defaul=
t t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-user-domain: #("root" 0 4 (=
tramp-default t))
| | | | | | | | | | | | | 14 -> (tramp-file-name-host-port (tramp-file-name=
 "sudo" #("root" 0 4 (tramp-default t)) nil #("sushoma" 0 7 (tramp-default =
t)) nil "/etc/rc.conf" nil))
| | | | | | | | | | | | | 14 <- tramp-file-name-host-port: #("sushoma" 0 7 =
(tramp-default t))
| | | | | | | | | | | | 13 <- tramp-buffer-name: #("*tramp/sudo root@sushom=
a*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | | 12 <- tramp-get-connection-name: #("*tramp/sudo root@=
sushoma*" 12 16 (tramp-default t) 17 24 (tramp-default t))
| | | | | | | | | | 11 <- tramp-get-connection-process: #<process *tramp/su=
do root@sushoma*>
| | | | | | | | | | 11 -> (tramp-process-sentinel #<process *tramp/sudo roo=
t@sushoma*> "killed
")
| | | | | | | | | | | 12 -> (tramp-get-connection-property #<process *tramp=